import {useRootStore} from "@/stores/useStore";
import {formatDateFun} from "@/unit/time";

export const dataBaseUseTypeOptions = () =>{
 return [
  {value:'',label:'全部'},
  {value:'1',label:'应用服务器'},
  {value:'2',label:'web服务器'},
  {value:'3',label:'数据库服务器'},
  {value:'4',label:'前置数据库服务器'},
  {value:'5',label:'外部前置机服务器'},
 ]
}
export const safeRankArr = [
 {
  value:'1',
  label:'低'
 },
 {
  value:'2',
  label:'中'
 },
 {
  value:'3',
  label:'高'
 },
 {
  value:'4',
  label:'最高'
 },
]
export const labelTaskHomeStatus = [
 {value:'0',label:'未配置'},
 {value:'1',label:'待运行'},
 {value:'2',label:'执行中'},
 {value:'3',label:'执行异常'},
 {value:'4',label:'已停用'},
]
export const dangerArr = [
 {
  value:'0',
  label:'低风险'
 },
 {
  value:'1',
  label:'中风险'
 },
 {
  value:'2',
  label:'高风险'
 }
]
export const reportMbTypeArr = [
 {
  value:'0',
  label:'质检报告'
 },
 {
  value:'1',
  label: '安全报告'
 },
 {
  value:'2',
  label:'审计报告'
 },
 {
  value:'3',
  label:'归集接口文档'
 },
]
export const dataDictionaryHomeFilterForm = {
 formItemsArr:[
  {
   type:'input',
   modelValue:'NAME',
   label:'目录名称',
   colClass:'mr12',
   elInputEleAttrs:{
    'placeholder':'请输入目录名称'
   }
  },
  {
   type:'select',
   modelValue:'UNIT_CODE',
   label:'所属单位',
   colClass:'mr12',
   options:[]
  },
  {
   type:'select',
   colClass:'mr12',
   modelValue:'CONFIG_STATES',
   label:'是否配置',
   options:[
    {value:'',label:'请选择'},
    {value:'0',label:'未配置'},
    {value:'1',label:'已配置'},
   ]
  },
  {
   type:'slot',
   slotName:'searchBtn'
  }
 ]
}
export const clearRuleHomeFilterForm =  () => {
 return {
  formItemsArr:[
   {
    type:'input',
    modelValue:'catalogName',
    label:'目录名称',
    colClass:'mr12',
    elInputEleAttrs:{
     'placeholder':'请输入目录名称'
    }
   },
   {
    type:'select',
    modelValue:'unitCode',
    label:'所属单位',
    colClass:'mr12',
    options:useRootStore().allSelectUnit
   },
   {
    type:'select',
    colClass:'mr12',
    modelValue:'taskStatus',
    label:'任务状态',
    options:[
     {value:'',label:'请选择'},
     {value:'0',label:'未配置'},
     {value:'1',label:'已配置'},

    ]
   },
   {
    type:'slot',
    slotName:'searchBtn'
   }
  ]
 }
}
export const labelRuleHomeFilterForm = {
 formItemsArr:[
  {
   type:'input',
   modelValue:'CATALOG_NAME',
   label:'目录名称',
   colClass:'mr12',
   elInputEleAttrs:{
    'placeholder':'请输入目录名称'
   }
  },
  {
   type:'select',
   modelValue:'UNIT_CODE',
   label:'所属单位',
   options:useRootStore().allSelectUnit,
   colClass:'mr12',

  },
  {
   type:'select',
   label:'是否配置',
   modelValue:'CONFIG_STATES',
   colClass:'mr12',
   options:[
    {
     value:'',
     label:'全部'
    },
    {
     value:'0',
     label:'未配置'
    },
    {
     value:'1',
     label:'已配置'
    }
   ]
  },
  {
   type:'slot',
   slotName:'searchBtn'
  }
 ]
}
export const editDataDictionaryForm = {
 formItemsArr:[
  {
   type:'select',
   colClass:'mr12',
   label:'字段',
   modelValue:'FIELD_NAME',
   options:[]
  },
  {
   type:'select',
   label:'是否配置',
   colClass:'mr12',
   modelValue:'STATE',
   options:[
    {
     value:'',
     label:'全部'
    },
    {
     value:'0',
     label:'未配置'
    },
    {
     value:'1',
     label:'已配置'
    }
   ]
  },
  {
   type:'slot',
   slotName:'searchBtn'
  }
 ],
 formAttrs:{
  'label-width':'8em'
 }
}
export const syncDetailFilterForm = {
 formItemsArr:[
  // {
  //  type:'select',
  //  colClass:'mr12',
  //  label:'类型',
  //  options:[
  //   {
  //    value:'',
  //    label:'全部'
  //   },
  //   {
  //    value:'0',
  //    label:'入库'
  //   },
  //   {
  //    value:'1',
  //    label:'出库'
  //   }
  //  ]
  // },
  {
   type:'select',
   label:'状态',
   colClass:'mr12',
   modelValue:'STATE',
   options:[
    {
     value:'',
     label:'全部'
    },
    {
     value:'2',
     label:'未启用'
    },
    {
     value:'1',
     label:'启用'
    }
   ]
  },
  {
   isNoLabel:true,
   colAttrs:{
    span:1.5
   },
   type:'slot',
   colClass:'mr20',
   slotName:'searchBtn'
  },
  {
   isNoLabel:true,
   colAttrs:{
    span:1.5
   },
   type:'slot',
   colClass:'mr20',
   slotName:'addBtn'
  },
 ],
 formAttrs:{
  'label-width':'8em'
 }
}
export const clearRuleDetailFilterForm = {
 formItemsArr:[
  {
   type:'select',
   colClass:'mr12',
   label:'所属规则',
   modelValue:'TYPE_CODE',
   options:[
    {
     value:'',
     label:'全部'
    },
    {
     value:'0',
     label:'入库'
    },
    {
     value:'1',
     label:'出库'
    }
   ]
  },
  {
   type:'select',
   label:'状态',
   colClass:'mr12',
   modelValue:'STATE',
   options:[
    {
     value:'',
     label:'全部'
    },
    {
     value:'0',
     label:'禁用'
    },
    {
     value:'1',
     label:'启用'
    },
    {
     value:'2',
     label:'运行中'
    },
   ]
  },
  {
   isNoLabel:true,
   colAttrs:{
    span:1.5
   },
   type:'slot',
   colClass:'mr20',
   slotName:'searchBtn'
  },
  {
   isNoLabel:true,
   colAttrs:{
    span:1.5
   },
   type:'slot',
   colClass:'mr20',
   slotName:'addBtn'
  },
 ],
 formAttrs:{
  'label-width':'8em'
 }
}
export const safeRuleDetailFilterForm = {
 formItemsArr:[
  {
   type:'select',
   colClass:'mr12',
   label:'字段',
   modelValue:'FIELD_NAME',
   options:[
    {
     value:'',
     label:'全部'
    }
   ]
  },
  {
   type:'select',
   modelValue:'LABEL_STATES',
   label:'状态',
   colClass:'mr12',
   options:[
    {
     value:'',
     label:'全部'
    },
    {
     value:'2',
     label:'未启用'
    },
    {
     value:'1',
     label:'启用'
    }
   ]
  },
  {
   type:'slot',
   colClass:'mr20',
   slotName:'searchBtn',
   isNoLabel:true,
   colAttrs:{
    span:1.5
   }
  },
  {
   colClass:'mr20',
   type:'slot',
   slotName:'addBtn',
   isNoLabel:true,
   colAttrs:{
    span:1.5
   }
  },
  {
   colClass:'mr20',
   type:'slot',
   slotName:'dangerBtn',
   isNoLabel:true,
   colAttrs:{
    span:1.5
   }
  },
 ],
 formAttrs:{
  'label-width':'8em'
 }
}
export const labelRuleDetailFilterForm = {
 formItemsArr:[
  {
   type:'select',
   colClass:'mr12',
   modelValue:'ASSOCIATED_FIELD_NAME',
   label:'字段',
   options:[
    {
     value:'',
     label:'全部'
    },
    {
     value:'0',
     label:'入库'
    },
    {
     value:'1',
     label:'出库'
    }
   ]
  },
  {
   type:'select',
   label:'状态',
   modelValue:'LABEL_STATES',
   colClass:'mr12',
   options:[
    {
     value:'',
     label:'全部'
    },
    {
     value:'2',
     label:'未启用'
    },
    {
     value:'1',
     label:'启用'
    }
   ]
  },
  {
   type:'slot',

   colClass:['mr20'],
   colAttrs:{
    span:1.5
   },
   isNoLabel:true,
   slotName:'searchBtn'
  },
  {

   type:'slot',
   colAttrs:{
    span:1.5
   },
   isNoLabel:true,
   slotName:'addBtn'
  }
 ],
 formAttrs:{
  'label-width':'8em'
 }
}
export const qualityCheckDetailFilterForm = {
 formItemsArr:[
  {
   type:'select',
   colClass:'mr12',
   label:'所属规则',
   modelValue:'TYPE_CODE',
   options:[

   ]
  },
  {
   type:'select',
   label:'字段',
   modelValue:'FIELD_NAME',
   colClass:'mr12',
   options:[
    {
     value:'',
     label:'全部'
    },
    {
     value:'0',
     label:'禁用'
    },
    {
     value:'1',
     label:'启用'
    }
   ]
  },
  {
   type:'select',
   label:'状态',
   modelValue:'STATE',
   colClass:'mr12',
   options:[
    {
     value:'',
     label:'全部'
    },
    {
     value:'2',
     label:'未启用'
    },
    {
     value:'1',
     label:'启用'
    }
   ]
  },
  {

   colClass:'mr20',
   isNoLabel:true,
   type:'slot',

   slotName:'searchBtn',
   colAttrs:{
    span:1.5
   }
  },
  {
   isNoLabel:true,
   type:'slot',
   slotName:'addBtn',
   colAttrs:{
    span:1.5
   }

  }
 ],
 formAttrs:{
  'label-width':'8em'
 }
}
export const editDataDictionaryDialogForm = {
 formItemsArr:[
  {
   type:'input',
   colClass:'mr12',
   label:'字段',
   modelValue:'INFOITEMENGLISHNAME',
   options:[],
   elInputEleAttrs:{
    disabled:true
   }
  },
  {
   type:'select',
   label:'配置字典',
   modelValue: 'DICTIONARY_VALUE',
   options:[
   ]
  },
 ],
 formAttrs:{
  'label-width':'8em'
 }
}
export const qualityTypeDialogForm = () => {
 return {
  formItemsArr:[
   {
    type:'input',
    colClass:'mr12',
    label:'类型名称',
    modelValue:'NAME'

   },
   {
    type:'input',
    label:'类型编码',
    modelValue:'TYPE_CODE',
    itemOtherAttrs:{
     required:true,
     rules:[{required:true,message:'请输入类型编码',trigger:'blur'}]
    }

   },
   {
    type:'input',
    colClass:'mr12',
    label:'类型备注',
    modelValue:'REMARKS'

   },
   {
    type:'input',
    label:'错误提示',
    modelValue:'ERROR_MSG'
   },
   {
    type:'select',
    label:'函数类型',
    modelValue:'FUNCTION_CODE',

    options:[
     {value:'',label:'请选择'}
    ].concat(useRootStore().paraArr.filter(i => +i.PARA_CODE === 110))
   },
  ],
  formAttrs:{
   'label-width':'8em'
  }
 }
}
export const clearTypeDialogForm = {
 formItemsArr:[
  {
   type:'input',
   modelValue:'cleaningRuleCode',
   label:'清洗规则代码',

  },
  {
   type:'input',
   label:'清洗规则名称',
   modelValue:'cleaningRuleName',
   options:[]

  },
  {
   type:'select',
   modelValue:'inspRuleUuid',

   label:'关联质检规则名称',

  },
  {

   type:'textarea',
   modelValue:'cleaningRuleTodo',

   colClass:[ 'el-col-20'],
   label:'清洗方法说明',

  },

 ],
 formAttrs:{
  'label-width':'10em'
 }
}
export const labelTypeFilterForm = {
 formItemsArr:[
  {
   type:'input',
   modelValue:'LABEL_NAME',
   label:'标签名称',
   colClass:'mr12',
   elInputEleAttrs:{
    'placeholder':'请输入标签名称'
   }
  },
  {
   type:'select',
   modelValue:'LABEL_LEVEL',
   label:'标签等级',
   colClass:'mr12',
   options:[
    {value: '', label: '请选择'},
    {value: '1', label: '1级标签'},
    {value: '2', label: '2级标签'},
    {value: '3', label: '3级标签'},
   ]
  },
  {
   type:'slot',
   colClass:'mr8',
   slotName:'searchBtn',
   isNoLabel:true,
   colAttrs:{
    span:1.5
   }
  },
  {
   type:'slot',
   slotName:'addBtn',
   colClass:'mr8',
   isNoLabel:true,
   colAttrs:{
    span:1.5
   }
  },

  {
   type:'slot',
   colClass:'mr8',
   isNoLabel:true,
   slotName:'exportBtn',
   colAttrs:{
    span:1.5
   }
  },
  {
   type:'slot',
   slotName:'importBtn',
   colClass:'mr8',
   isNoLabel:true,
   colAttrs:{
    span:1.5
   }
  },
 ]
}
export const safeTypeFilterForm = {
 formItemsArr:[
  {
   type:'input',
   modelValue:'SAFE_TYPE_NAME',
   label:'类型名称',
   colClass:'mr12',
   elInputEleAttrs:{
    'placeholder':'请输入类型名称'
   }
  },

  {
   type:'slot',
   colClass:'mr8',
   slotName:'searchBtn',
   isNoLabel:true,
   colAttrs:{
    span:1.5
   }
  },
  {
   type:'slot',
   slotName:'addBtn',
   colClass:'mr8',
   isNoLabel:true,
   colAttrs:{
    span:1.5
   }
  },

 ]
}
export const circleTypeFilterForm = {
 formItemsArr:[
  {
   type:'input',
   modelValue:'ORIGION_MODE',
   label:'类型名称',
   colClass:'mr12',
   elInputEleAttrs:{
    'placeholder':'请输入类型名称'
   }
  },

  {
   type:'slot',
   colClass:'mr8',
   slotName:'searchBtn',
   isNoLabel:true,
   colAttrs:{
    span:1.5
   }
  },
  {
   type:'slot',
   slotName:'addBtn',
   colClass:'mr8',
   isNoLabel:true,
   colAttrs:{
    span:1.5
   }
  },

 ]
}
export const checkTypeFilterForm = {
 formItemsArr:[
  {
   type:'input',
   modelValue:'SAFE_AUDIT_NAME',
   label:'类型名称',
   colClass:'mr12',
   elInputEleAttrs:{
    'placeholder':'请输入类型名称'
   }
  },

  {
   type:'slot',
   colClass:'mr8',
   slotName:'searchBtn',
   isNoLabel:true,
   colAttrs:{
    span:1.5
   }
  },
  {
   type:'slot',
   slotName:'addBtn',
   colClass:'mr8',
   isNoLabel:true,
   colAttrs:{
    span:1.5
   }
  },

 ]
}
export const safeRankFilterForm = {
 formItemsArr:[
  {
   type:'input',
   modelValue:'SAFE_LEVEL',
   label:'级别名称',
   colClass:'mr12',
   elInputEleAttrs:{
    'placeholder':'请输入级别名称'
   }
  },

  {
   type:'slot',
   colClass:'mr8',
   slotName:'searchBtn',
   isNoLabel:true,
   colAttrs:{
    span:1.5
   }
  },
  {
   type:'slot',
   slotName:'addBtn',
   colClass:'mr8',
   isNoLabel:true,
   colAttrs:{
    span:1.5
   }
  },

 ]
}
export const baseLabelThemeDialogFormTheme = {
 formItemsArr:[
  {
   type:'input',
   label:'标签名称',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请输入标签名称',trigger:'blur'}
    ]
   },
   colClass:'el-col-20',
   modelValue:'LName'
  },

  {
   type:'input',
   colClass:'el-col-20',
   label:'父节点',
   elInputEleAttrs:{
    disabled:true
   },
   modelValue:'labelName'
  },

  {
   isHide:true,
   type:'slot',
   slotName:'tree',
   label:'',

   modelValue:'',
   colClass:['el-col-20','tree-el']
  },
  {
   type:'textarea',
   colClass:'el-col-20',
   label:'说明',
   modelValue:'REMARKS'
  }
 ],
 formAttrs:{
  'label-width':'10em'
 }
}
export const baseLabelThemeDialogFormBase = {
 formItemsArr:[
  {
   type:'input',
   label:'标签名称',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请输入标签名称',trigger:'blur'}
    ]
   },
   colClass:'el-col-20',
   modelValue:'LName'
  },

  {
   type:'input',
   colClass:'el-col-20',
   label:'父节点',
   modelValue:'labelName',
   elInputEleAttrs:{
    disabled:true
   }
  },

  {
   type:'input',
   label:'标签代码',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,trigger:'blur',validator:(rule, value, callback,oldValue) => {

       let reg2 = new RegExp('[0-9]{2}');
       if(!reg2.test(value)){

        callback(new Error('请输入2位数字标签代码'))
       }
       else {
        callback()
       }
      }
     }
    ]
   },
   colClass:'el-col-20',
   modelValue:'LCode',
   elInputEleAttrs:{
    disabled:true
   }
  },
  {
   isHide:true,
   type:'slot',
   slotName:'tree',
   label:'',

   modelValue:'',
   colClass:['el-col-20','tree-el']
  },
  {
   type:'textarea',
   colClass:'el-col-20',
   label:'说明',
   modelValue:'CID_REMARKS'
  }
 ],
 formAttrs:{
  'label-width':'10em'
 }
}
export const baseLabelBaseDialogForm = {
 formItemsArr:[
  {
   type:'input',
   label:'标签名称',
   colClass:'el-col-20',
   modelValue:''
  },
  {
   type:'input',
   colClass:'el-col-20',
   label:'父节点',
   modelValue:''
  },
  {
   type:'input',
   colClass:'el-col-20',
   label:'标签代码',
   modelValue:''
  },
  {
   type:'textarea',
   colClass:'el-col-20',
   label:'说明',
   modelValue:''
  }
 ],
 formAttrs:{
  'label-width':'10em'
 }
}
export const baseRuleSateTypeDialogForm = {
 formItemsArr:[
  {
   type:'input',
   label:'类型名称',
   colClass:'el-col-20',
   modelValue:'SAFE_TYPE_NAME',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请输入类型名称',trigger:'blur'}
    ]
   }
  },
  {
   type:'select',
   colClass:'el-col-20',
   label:'类型',
   modelValue:'SAFE_TYPE',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请输入类型',trigger:'change'}
    ]
   },
   options:[
    {
     value:'',
     label:'请选择'
    },
    {
     value:'1',
     label:'加密'
    },
    {
     value:'0',
     label:'脱敏'
    }
   ]
  },
  {
   type:'select',
   colClass:'el-col-20',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请选择安全级别',trigger:'change'}
    ]
   },
   label:'安全级别',
   modelValue:'SAFE_LEVEL',
  },
  {
   type:'textarea',
   colClass:'el-col-20',
   label:'说明',
   modelValue:'SAFE_REMARKS',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请输入说明',trigger:'input'}
    ]
   },
  }
 ],
 formAttrs:{
  'label-width':'10em'
 }
}
export const baseRuleSateRankDialogForm = {
 formItemsArr:[
  {
   type:'input',
   label:'级别名称',
   colClass:'el-col-20',
   modelValue:'SAFE_LEVEL'
  },

  {
   type:'textarea',
   colClass:'el-col-20',
   label:'说明',
   modelValue:'SAFE_REMARKS'
  }
 ],
 formAttrs:{
  'label-width':'10em'
 }
}
export const checkInfoDialogBaseForm = {
 formItemsArr:[
  {
   type:'select',
   label:'审计名称',
   modelValue:'SAFE_AUDIT_NAME',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请选择审计名称',trigger:'change'},
    ]
   },
   options:[
    {
     value:'',
     label:'请选择'
    },
   ].concat(dangerArr)
  }
 ]
}
export const circleInfoDialogBaseForm = {
 formItemsArr:[
  {
   modelValue:'ORIGION_MODE_CODE',
   label:'模式编码',
   type:'input',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请输入模式编码',trigger:'blur'},
    ]
   },

  },
  {
   modelValue:'ORIGION_MODE',
   label:'模式名称',
   type:'input',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请输入模式名称',trigger:'blur'},
    ]
   },

  },
 ]
}
export const baseRuleBaseDictionaryTableHeader = [
 {
  prop:'PARA_NAME',
  label:'字典名称'
 },
 {
  prop:'DES',
  label:'字典描述'
 },
 {
  prop:'INSER_TIME',
  label:'创建时间'
 }
]
export const processHomeFilterForm = {
 formItemsArr:[
  {
   type:'input',
   modelValue:'TITLE',
   label:'模板名称',
   elInputEleAttrs:{
    'placeholder':'请输入模板名称'
   }
  },
  {
   type:'slot',
   slotName:'searchBtn'
  }
 ]
}
export const flowCharDialogForm = {
 formItemsArr:[
  {
   label:'节点类型',
   type:'select',
   modelValue:'type',
   colClass:'el-col-24',
   itemOtherAttrs:{
    required:true,
    rules:{
     required:true,
     message:"请选择节点类型",
     trigger:'change'
    }
   },
   options:[
    {
     label:'流程开始',
     value:'start',
    },
    {
     label:'目录发布',
     value:'1',
    },
    {
     label:'服务发布',
     value:'11',
    },
    {
     label:'前置机入共享交换',
     value:'2',
    },
    {
     label:'数据质检',
     value:'3',
    },
    {
     label:'数据清洗',
     value:'4',
    },
    {
     label:'数据安全',
     value:'5',
    },
    {
     label:'数据标签',
     value:'6',
    },

    {
     label:'共享库入政务库',
     value:'7',
    },
    {
     label:'共享库入信用库',
     value:'8',
    },
    {
     label:'共享库入档案',
     value:'9',
    },
    {
     label:'共享库入大数据中心',
     value:'10',
    },
    {
     label:'共享库入一网通办',
     value:'17',
    },
    {
     label:'前置机入政务',
     value:'15',
    },
    {
     label:'政务入大数据中心',
     value:'16',
    },
    {
     label:'流程结束',
     value:'end',
    },
   ]
  },
  {
   label:'节点名称',
   type:'input',
   modelValue:'name',
   colClass:'el-col-24',
   itemOtherAttrs:{
    required:true,
    rules:{
     required:true,
     message:"请输入节点名称",
     trigger: 'blur'
    }
   }
  }
 ],
 formAttrs:{
  'label-width':'6em',
  "hide-required-asterisk":true
 }
}
export const reportMbHomeFilterForm = {
 formItemsArr:[
  {
   type:'input',
   label:'模板名称',
   colClass:'mr12',
   modelValue:'NAME',
   elInputEleAttrs:{
    'placeholder':'请输入模板名称'
   }
  },
  {
   type:'select',
   colClass:'mr12',
   label:'模板类型',
   modelValue:'TYPE',
   defaultValue:"0,1,2,3",
   options:[
    {
     value:'0,1,2,3',
     label: '全部'
    }

   ].concat(reportMbTypeArr)
  },
  {
   type:'slot',
   slotName:'searchBtn'
  }
 ]
}
export const asyncRuleDialogForm1 = {
 formItemsArr:[
  {
   label:'环节',
   modelValue:'SEGMENT_ID',
   type:'select',
   options:[{value:'',label:'请选择'}],
   colClass:'el-col-24',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请选择环节',trigger:'change'}
    ]
   }
  },
  {
   label:'模式',
   modelValue:'KETTLE_MODE',
   type:'select',
   options:[{value:'',label:'请选择'}],
   colClass:'el-col-24',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请选择模式',trigger:'change'}
    ]
   }
  },
  {
   label:'业务时间字段',
   modelValue:'BUSINESSFIELDNAME',
   type:'input',

   colClass:'el-col-24',

  },
  {
   label:'变量名称',
   modelValue:'PARAMETERDEFINATIONNAME',
   type:'input',

   colClass:'el-col-24',

  }
 ],
 formAttrs:{
  'label-width':'9em'
 }
}
export const asyncRuleDialogForm2 = {
 formItemsArr:[
  {
   label:'服务器名称',
   modelValue:'service',
   type:'select',
   options:[],
   colClass:'el-col-24',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请选择服务器名称',trigger:'change'}
    ]
   }
  },
  {
   label:'通道类型',
   modelValue:'td',
   type:'select',
   options:[],
   colClass:'el-col-24',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请选择通道类型',trigger:'change'}
    ]
   }
  },
  {
   label:'源表空间',
   modelValue:'ORIGION_SPACE',
   type:'select',
   options:[],
   colClass:'el-col-24',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请输入源表空间',trigger:'blur'}
    ]
   }
  },
  {
   label:'源表名称',
   modelValue:'ORIGION_TABLENAME',
   type:'select',
   options:[],
   colClass:'el-col-24',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请输入源表名称',trigger:'blur'}
    ]
   }
  },
  {
   label:'源表业务主键',
   modelValue:'SOURCE_MAIN_KEY',
   type:'select',
   options:[],
   colClass:'el-col-24',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请输入源表业务主键',trigger:'blur'}
    ]
   },
   elSelectEleAttrs:{
    multiple:true
   }
  },

 ],
 formAttrs:{
  'label-width':'9em'
 }
}
export const asyncRuleDialogForm3 = {
 formItemsArr:[
  {
   label:'服务器名称',
   modelValue:'targetService',
   type:'select',
   options:[],
   colClass:'el-col-24',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请选择服务器名称',trigger:'change'}
    ]
   }
  },
  {
   label:'通道类型',
   modelValue:'targetTd',
   type:'select',
   options:[],
   colClass:'el-col-24',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请选择通道类型',trigger:'change'}
    ]
   }
  },
  {
   label:'目标表空间',
   modelValue:'TARGET_SPACE',
   type:'select',
   options:[],
   colClass:'el-col-24',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请输入目标表空间',trigger:'blur'}
    ]
   }
  },
  {
   label:'目标表名称',
   modelValue:'TARGET_TABLENAME',
   type:'select',
   options:[],
   colClass:'el-col-24',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请输入目标表名称',trigger:'blur'}
    ]
   }
  },
  {
   label:'目标表业务主键',
   modelValue:'BUSINESSMAINKEY',
   type:'input',
   options:[],
   colClass:'el-col-24',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请输入目标表业务主键',trigger:'blur'}
    ]
   }
  },
 ],
 formAttrs:{
  'label-width':'9em'
 }
}
export const qualityCheckRuleDialogForm  = () => {
 return {
  formItemsArr:[
   {
    type:'select',
    label:'选择规则',
    modelValue:'rule',
    colClass:'el-col-12',
    options:[],
    itemOtherAttrs:{
     required:true,
     rules:[{required:true,message:'请选择规则',trigger:'change'}]
    }
   },
   {
    type:'select',
    label:'选择字段',
    modelValue:'field',
    colClass:'el-col-12',
    options:[],
    elSelectEleAttrs:{
     multiple:true
    },
    itemOtherAttrs:{
     required:true,
     rules:[{required:true,message:'请选择字段',trigger:'change'}]
    }
   },
   {
    isHide: true,
    type:'slot',
    label:'具体配置',
    slotName:'set',
    colClass:'el-col-24'
   },
   {
    isHide:true,
    type:'slot',
    label:'',
    slotName:'settable',
    colClass:'el-col-24'
   },
   {
    type:'slot',
    label:'关联规则',
    slotName:'gl',
    colClass:'el-col-24'
   },
   {
    isHide:true,
    type:'slot',
    label: '',
    slotName:'table',
    colClass:'el-col-24'
   },
   {
    type:'input',
    label:'错误提示',
    modelValue:'ERROR_MSG',
    colClass:'el-col-12'
   },
  ],
  formAttrs:{
   'label-width':'8em'
  }
 }
}
export const clearRuleDialogForm1  = {
 formItemsArr:[
  {
   type:'select',
   label:'清洗规则',
   modelValue:'CLEANING_RULE_UUID',
   colClass:'el-col-7'
  },
  {
   isHide:true,
   type:'select',
   options:[
    {value:'',label:'请选择'},
    {value:'IllegalCharacter',label:'非法字符'},
    {value:'DefaultValue',label:'默认值'},
   ],
   label:'补充类型',
   modelValue:'addType',
   colClass:'el-col-7',
   elSelectEleAttrs:{
    disabled:true,
   },
  },
  {
   isHide:true,
   modelValue:'addContent',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请输入补充规则',trigger:true}
    ]
   },
   type:'input',
   label:'补充内容',

   colClass:'el-col-7'
  },

 ],
 formAttrs:{
  'label-width':'8em'
 }
}
export const safeRuleDialogForm1  = {
 formItemsArr:[
  {
   type:'select',
   label:'字段名称',
   modelValue:'CATALOG_FIELD',
   colClass:'el-col-20',
   itemOtherAttrs:{
    required:true,
    rules:[
     {
      required:true,message:'请输入字段名称',trigger:'blur'
     }
    ]
   }
  },
  {
   type:'input',
   label:'中文名称',
   elInputEleAttrs:{
    disabled:true,
   },
   modelValue:'COMMENTS',
   colClass:'el-col-20',
   itemOtherAttrs:{
    required:true,
    rules:[
     {
      required:true,message:'请输入字段名称',trigger:'blur'
     }
    ]
   }
  },
  {
   type:'select',
   label:'安全级别',
   elSelectEleAttrs:{
    disabled:true,
   },
   modelValue:'SAFE_LEVEL',
   colClass:'el-col-20',
   options:[
    {
     value:'',
     label:'未配置'
    },

   ].concat(safeRankArr)

  },
  {
   type:'select',
   elSelectEleAttrs:{
    disabled:true,
   },
   label:'是否加密',
   modelValue:'IS_ENCRYPTION',
   colClass:'el-col-20',
   options:[
    {
     value:'',
     label:'未配置'
    },
    {
     value:'0',
     label:'否'
    },
    {
     value:'1',
     label:'是'
    },
   ]

  },
  {
   elSelectEleAttrs:{
    disabled:true,
   },
   type:'select',
   label:'是否脱敏',
   modelValue:'IS_DESENSITIZATION',
   colClass:'el-col-20',
   options:[
    {
     value:'',
     label:'未配置'
    },
    {
     value:'0',
     label:'否'
    },
    {
     value:'1',
     label:'是'
    },
   ]

  },

 ],
 formAttrs:{

  'label-width':'8em'
 }
}
export const safeRuleDialogForm2  = {
 formItemsArr:[
  {
   type:'select',
   label:'加密方式',
   modelValue:'JM_TYPE',
   colClass:'el-col-20'
  },

 ],
 formAttrs:{
  'label-width':'8em'
 }
}
export const safeRuleDialogForm3  = {
 formItemsArr:[
  {
   type:'select',
   label:'脱敏方式',
   modelValue:'TM_TYPE',
   colClass:'el-col-20',
   options:[]
  },

 ],
 formAttrs:{
  'label-width':'8em'
 }
}


export const safeRuleDialogForm31  = {
 formItemsArr:[
  {
   type:'input',
   label:'搜索字符串',
   modelValue:'SJCQ_SSZFC',
   colClass:'el-col-20',
   itemOtherAttrs:{
    required:true,
    rules:[{required: true, message: '请输入搜索字符串',trigger:'blur'}]
   }
  },
  {
   type:'select',
   label:'位置',
   modelValue:'SJCQ_WZ',
   colClass:'el-col-20',
   itemOtherAttrs:{
    required:true,
    rules:[{required: true, message: '请选择位置',trigger:'change'}]
   },
   options:[
    {value:'',label:'请选择'},
    {value:'0',label:'字符串前'},
    {value:'1',label:'字符串后'},
   ]
  },
  {
   type:'input',
   label:'删除字符串',
   modelValue:'SJCQ_SCZFC',
   colClass:'el-col-20',
   itemOtherAttrs:{
    required:true,
    rules:[{required: true, message: '请输入删除字符串',trigger:'blur'}]
   }
  },
  {
   type:'input',
   label:'描述',
   modelValue:'ENCRYPTION_REMARKS',
   colClass:'el-col-20',
   elInputEleAttrs:{
    disabled:true
   },
   defaultValue:'删除字段中包含的指定字符串。'
  },


 ],
 formAttrs:{
  'label-width':'8em'
 }
}
export const safeRuleDialogForm32  = () => {
 return {
  formItemsArr:[
   {
    type:'select',
    label:'替换位置',
    modelValue:'SJMHH_THWZ',
    colClass:'el-col-20',
    itemOtherAttrs:{
     required:true,
     rules:[{required: true, message: '请选择替换位置',trigger:'select'}]
    },
    options:[
     {value:'',label:'请选择'},
     {value:'0',label:'全部替换'},
     {value:'1',label:'替换开头'},
     {value:'2',label:'替换中间'},
     {value:'3',label:'替换结尾'},
    ]
   },
   {
    type:'select',
    label:'掩盖字符',
    modelValue:'SJMHH_YGZF',
    colClass:'el-col-20',
    itemOtherAttrs:{
     required:true,
     rules:[{required: true, message: '请选择掩盖字符',trigger:'select'}]
    },
    options:[
     {value:'',label:'请选择'},
     {value:'*',label:'*'},
     {value:'!',label:'!'},

    ]
   },
   {
    isHide:false,
    type:'input',
    label:'起始位置',
    modelValue:'SJMHH_THKT',
    colClass:'el-col-20',
    itemOtherAttrs:{
     required:true,
     rules:[{required: true, message: '请输入起始位置',trigger:'blur'}]
    },

   },
   {
    isHide:false,
    type:'input',
    label:'结束位置',
    modelValue:'SJMHH_THJW',
    colClass:'el-col-20',
    itemOtherAttrs:{
     required:true,
     rules:[{required: true, message: '请输入结束位置',trigger:'blur'}]
    },

   },
   {
    type:'input',
    label:'描述',
    modelValue:'ENCRYPTION_REMARKS',
    colClass:'el-col-20',
    elInputEleAttrs:{
     disabled:true
    },
    defaultValue:'将从指定位置开始的子字符串模糊化。'
   },


  ],
  formAttrs:{
   'label-width':'8em'
  }
 }
}
export const safeRuleDialogForm33  = {
 formItemsArr:[
  {
   type:'input',
   label:'描述',
   modelValue:'ENCRYPTION_REMARKS',
   defaultValue:'将选择字段进行MD5处理。',
   colClass:'el-col-20',
   elInputEleAttrs:{
    disabled:true
   }
  },


 ],
 formAttrs:{
  'label-width':'8em'
 }
}
export const labelRuleDialogForm  = {
 formItemsArr:[
  {
   type:'input',
   label:'标签',
   modelValue:'labelName',
   colClass:'el-col-20'
  },
  {
   isHide:true,
   type:'slot',
   slotName:'tree',
   label:'',

   modelValue:'',
   colClass:['el-col-20','tree-el']
  },
  {
   type:'select',
   label:'字段',
   modelValue:'ASSOCIATED_FIELD_NAME',
   colClass:'el-col-20'
  },
  {
   type:'select',
   label:'条件',
   modelValue:'LABEL_JUDGE',
   colClass:'el-col-20',
   options:[
    {value:'1',label:'='},
    {value:'2',label:'!='},
    {value:'3',label:'>'},
    {value:'4',label:'<'},
   ]
  },
  {
   type:'input',
   label:'内容',
   modelValue:'LABEL_CONTENT',
   colClass:'el-col-20'
  },

 ],
 formAttrs:{
  'label-width':'8em'
 }
}
export const clearRuleDialogForm2  = {
 formItemsArr:[
  {
   type:'select',
   label:'选择规则',
   modelValue:'cleaningRuleUuid',
   colClass:'el-col-12'
  },
  {
   type:'input',
   label:'错误提示',
   modelValue:'ERROR_MSG',
   colClass:'el-col-12'
  },
  {
   type:'select',
   label:'选择字段',
   modelValue:'inspRuleUuid',
   colClass:'el-col-24',
   options:[],
   elSelectEleAttrs:{
    multiple:true
   }
  },

 ],
 formAttrs:{
  'label-width':'8em',
  disabled:true
 }
}
export const labelTaskHomeFilterForm = () => {
 return {
  formItemsArr:[
   {
    type:'input',
    modelValue:'CATALOG_NAME',
    label:'目录名称',
    colClass:'mr12',
    elInputEleAttrs:{
     'placeholder':'请输入目录名称'
    }
   },
   {
    type:'select',
    modelValue:'UNIT_CODE',
    label:'所属单位',
    colClass:'mr12',
    options:useRootStore().allSelectUnit
   },
   {
    type:'select',
    colClass:'mr12',
    modelValue:'TASK_STATES',
    label:'是否配置',
    options:[
     {
      value:'',
      label:'全部'
     }
    ].concat(labelTaskHomeStatus)
   },
   {
    type:'slot',
    slotName:'searchBtn'
   }
  ]
 }
}
export const labelTaskDetailBaseForm = {
 formItemsArr:[
  {
   type:'input',
   label:'目录名称',
   colClass:'el-col-24',
   modelValue:'CATALOG_NAME',
   elInputEleAttrs:{
    disabled:true
   }
  },
  {
   colClass:'el-col-16',
   type:'select',
   label:'执行周期',
   modelValue:'FREQUENT',
   defaultValue:'2',
   elSelectEleAttrs:{
    disabled:true
   },
   options:[
    {value:'2',label:'清洗后执行'}
   ]
  },
 ],
 formAttrs:{
  'label-width':'8em'
 }
}
export const dataTaskDetailBaseForm = {
 formItemsArr:[
  {
   type:'input',
   label:'目录名称',
   colClass:'el-col-24',
   modelValue:'CLTALOG_NAME',
   elInputEleAttrs:{
    disabled:true
   }
  },
  {
   colClass:'el-col-16',
   type:'select',
   label:'执行周期',
   modelValue:'FREQUENT',
   defaultValue:'3',
   elSelectEleAttrs:{
    disabled:true
   },
   options:[
    {value:'3',label:'质检完成后'}
   ]
  },
 ],
 formAttrs:{
  'label-width':'8em'
 }
}
export const dataTaskDetailBaseForm2 = {
 formItemsArr:[
  {
   type:'textarea',
   label:'',
   isNoLabel:true,
   colClass:'el-col-24',
   modelValue:'REMARK',
   elInputEleAttrs:{
    'placeholder':'请输入任务说明'
   }
  },

 ],
 formAttrs:{
  'label-width':'8em'
 }
}
export const safeTaskDetailBaseForm = {
 formItemsArr:[
  {
   type:'input',
   label:'目录名称',
   colClass:'el-col-24',
   modelValue:'CATALOG_NAME',
   elInputEleAttrs:{
    disabled:true
   }
  },
  {
   colClass:'el-col-16',
   type:'select',
   label:'执行周期',
   modelValue:'FREQUENT',
   defaultValue:'2',
   elSelectEleAttrs:{
    disabled:true
   },
   options:[
    {value:'2',label:'标签后执行'}
   ]
  },
 ],
 formAttrs:{
  'label-width':'8em'
 }
}
export const labelRecordHomeFilterForm = () => {
 return  {
  formItemsArr:[
   {
    type:'input',
    modelValue:'CATALOG_NAME',
    label:'目录名称',
    colClass:'mr12',
    elInputEleAttrs:{
     'placeholder':'请输入目录名称'
    }
   },
   {
    type:'select',
    modelValue:'UNIT_CODE',
    label:'所属单位',
    colClass:'mr12',
    options:useRootStore().allSelectUnit
   },
   {
    type:'slot',
    slotName:'searchBtn'
   }
  ]
 }
}
export const safeTaskHomeFilterForm = () => {
 return  {
  formItemsArr:[
   {
    type:'input',
    modelValue:'CATALOG_NAME',
    label:'目录名称',
    colClass:'mr12',
    elInputEleAttrs:{
     'placeholder':'请输入目录名称'
    }
   },
   {
    type:'select',
    modelValue:'UNIT_CODE',
    label:'所属单位',
    colClass:'mr12',
    options:useRootStore().allSelectUnit
   },
   {
    type:'slot',
    slotName:'searchBtn'
   }
  ]
 }
}
export const safeCheckHomeFilterForm = {
 formItemsArr:[
  {
   type:'select',
   modelValue:'SAFE_AUDIT_NAME',
   label:'风险等级',
   colClass:'mr12',
   options: [
    {value:'',label:'请选择'}
   ].concat(dangerArr)
  },
  {
   type:'date-picker',
   modelValue:'START_DATE',
   label:'开始时间',
   colClass:'mr12',
   options:[

   ]
  },
  {
   type:'date-picker',
   modelValue:'END_DATE',
   label:'结束时间',
   colClass:'mr12',
   options:[

   ]
  },
  {
   type:'slot',
   slotName:'searchBtn'
  }
 ]
}
export const safeRecordHomeFilterForm = () => {
 return {
  formItemsArr:[
   {
    type:'input',
    modelValue:'CATALOG_NAME',
    label:'目录名称',
    colClass:'mr12',
    elInputEleAttrs:{
     'placeholder':'请输入目录名称'
    }
   },
   {
    type:'select',
    modelValue:'UNIT_CODE',
    label:'所属单位',
    colClass:'mr12',
    options:useRootStore().allSelectUnit
   },
   {
    type:'slot',
    slotName:'searchBtn'
   }
  ]
 }
}
export const safeReportHomeFilterForm = () => {
 return {
  formItemsArr:[
   {
    type:'date-picker',
    modelValue:'MONTH_TIME',
    label:'报告时间',
    colClass:'mr12',
    elDatePickerAttrs:{
     'value-format':'YYYY-MM',
     format:"YYYY-MM",
     type:"month"
    }
   },
   {
    type:'select',
    modelValue:'UNIT_CODE',
    label:'所属单位',
    colClass:'mr12',
    options:useRootStore().allSelectUnit
   },
   {
    type:'slot',
    slotName:'searchBtn'
   }
  ]
 }
}
export const checkReportHomeFilterForm = {
 formItemsArr:[
  {
   type:'date-picker',
   modelValue:'MONTH_TIME',
   label:'报告时间',
   colClass:'mr12',
   elDatePickerAttrs:{
    'value-format':'YYYY-MM',
    format:"YYYY-MM",
    type:"month"
   }
  },

  {
   type:'slot',
   slotName:'searchBtn'
  }
 ]
}
export const dataTaskHomeFilterForm = () => {
 return  {
  formItemsArr:[
   {
    type:'input',
    modelValue:'catalogName',
    label:'目录名称',
    colClass:'mr12',
    elDatePickerAttrs:{
     'placeholder':'请输入目录名称'
    }
   },
   {
    type:'select',
    modelValue:'unitCode',
    label:'所属单位',
    colClass:'mr12',
    options:useRootStore().allSelectUnit
   },
   {
    type:'select',
    modelValue:'taskStatus',
    label:'状态',
    colClass:'mr12',
    options:[
     {
      value:'',
      label:'全部'
     },
     {
      value:'0',
      label:'未启用'
     },
     {
      value:'1',
      label:'已启用'
     }
    ]
   },
   {
    type:'slot',
    slotName:'searchBtn'
   }
  ]
 }
}
export const clearRecordHomeFilterForm = {
 formItemsArr:[
  {
   type:'input',
   modelValue:'catalogName',
   label:'目录名称',
   colClass:'mr12',
   elInputEleAttrs:{
    'placeholder':'请输入目录名称'
   }
  },
  {
   type:'date-picker',
   modelValue:'startDate',
   label:'开始时间 ',
   colClass:'mr12',

  },
  {
   type:'date-picker',
   modelValue:'endDate',
   label:'结束时间 ',
   colClass:'mr12',

  },
  {
   type:'select',
   modelValue:'taskStatus',
   label:'任务状态',
   colClass:'mr12',
   options:[
    {value:'',label:'请选择'},
    {value:'0',label:' 失败'},
    {value:'1',label:'成功'},
   ]
  },
  {
   type:'slot',
   slotName:'searchBtn'
  }
 ]
}
export const qualityCheckTaskHomeFilterForm = () => {
 return {
  formItemsArr:[
   {
    type:'input',
    modelValue:'NAME',
    label:'目录名称',
    colClass:'mr12',
    elInputEleAttrs:{
     'placeholder':'请输入目录名称'
    }
   },

   {
    type:'select',
    modelValue:'UNIT',
    label:'所属单位',
    colClass:'mr12',
    options:useRootStore().allSelectUnit
   },
   {
    type:'select',
    modelValue:'STATE',
    label:'状态 ',
    colClass:'mr12',
    options:[
     {value:'',label:'全部'},
     {value:'0',label:'未设置'},
     {value:'1',label:'正常'},
     {value:'2',label:'停止'},
     {value:'5',label:'质检中'},
     {value:'10',label:'质检异常'},
    ]
   },
   {
    type:'slot',
    slotName:'searchBtn'
   }
  ]
 }
}
export const qualityCheckTaskDetailBaseForm = () => {
 return {
  formItemsArr:[
   {
    type:'input',
    label:'目录名称',
    colClass:'el-col-24',
    modelValue:'CATALOGNAME',
    elInputEleAttrs:{
     disabled:true
    }
   },
   {
    colClass:'el-col-24',
    type:'select',
    label:'优先级',
    modelValue:'ORDER_NUM',

    options:[{value:'',label:'请选择'}].concat(useRootStore().paraArr.filter(i => +i.PARA_CODE === 80))
   },
   {
    colClass:'el-col-24',
    type:'select',
    label:'执行周期',
    modelValue:'cycle',

    options:[
     {value:'0',label:'周期执行',forms:[
       {
        type:'radio',
        colClass:'el-col-24',
        radioArr:[
         {
          value:'每年',
          label:"每年",
          forms:[

           {type:'input',modelValue:'month',label:'月',colClass:'el-col-12',},
           {type:'input',modelValue:'day',label:'日',colClass:'el-col-12',},
           {type:'input',modelValue:'time',label:'时间',colClass:'el-col-12',},
          ]
         },
         {
          value:'月',
          label:"月",
          forms:[


           {type:'input',modelValue:'day',label:'日',colClass:'el-col-12',},
           {type:'input',modelValue:'time',label:'时间',colClass:'el-col-12',},
          ]
         },
         {
          value:'周',
          label:"周",
          forms:[


           {type:'select',modelValue:'day',label:'日',colClass:'el-col-12',options:[
             {value:'1',label:'周一'},
             {value:'2',label:'周二'},
             {value:'3',label:'周三'},
             {value:'4',label:'周四'},
             {value:'5',label:'周五'},
             {value:'6',label:'周六'},
             {value:'0',label:'周日'},
            ]},
           {type:'input',modelValue:'time',label:'时间',colClass:'el-col-12',},
          ]
         },
         {
          value:'日',
          label:"日",
          forms:[
           {type:'input',modelValue:'time',label:'时间',colClass:'el-col-12',},
          ]
         },
         {
          value:'时',
          label:"时",
          forms:[
           {type:'input',modelValue:'time',label:'时间',colClass:'el-col-12',},
          ]

         }
        ],
        modelValue:'frequency'
       }
      ]},
     {value:'1',label:'单次执行',forms:[
       {type:'input',modelValue:'singleYear',label:'年',colClass:'el-col-12',},
       {type:'input',modelValue:'singleMonth',label:'月',colClass:'el-col-12',},
       {type:'input',modelValue:'singleDay',label:'日',colClass:'el-col-12',},
       {type:'input',modelValue:'singleTime',label:'时间',colClass:'el-col-12',},
      ]},
    ]
   },
  ],
  formAttrs:{
   'label-width':'8em'
  }
 }
}
export const qualityCheckRecordHomeFilterForm = {
 formItemsArr:[
  {
   type:'input',
   modelValue:'CATALOG_NAME',
   label:'目录名称',
   colClass:'mr12',
   elInputEleAttrs:{
    'placeholder':'请输入目录名称'
   }
  },

  {
   type:'select',
   modelValue:'UNITCODE',
   label:'所属单位',
   colClass:'mr12',
   options:useRootStore().allSelectUnit
  },

  {
   type:'slot',
   slotName:'searchBtn'
  }
 ]
}
export const qualityCheckRecordDetailBaseForm = {
 formItemsArr:[

  {
   type:'input',
   label:'字段名称',

   modelValue:'FIELD_NAME',
   elInputEleAttrs:{
    'placeholder':'请输入字段名称'
   }
  },
  {
   type:'input',
   label:'异常描述',

   modelValue:'ERROR',
   elInputEleAttrs:{
    'placeholder':'请输入异常描述'
   }
  },
  {
   type:'select',
   label:'质检规则',

   modelValue:'ERROR_CODE',
   options:[

   ]
  },
  {
   slotName:'searchBtn',
   type:'slot'
  }
 ],
 formAttrs:{
  'label-width':'8em'
 }
}
export const qualityCheckReportHomeFilterForm = {
 formItemsArr:[
  {
   type:'select',
   modelValue:'UNIT_CODE',
   label:'所属单位',
   colClass:'mr12',
    options:useRootStore().allSelectUnit
  },

  {
   type:'select',
   modelValue:'REPORT_TYPE',
   label:'报告类型',
   colClass:'mr12',
   options:[
    {
     value:'',
     label:'全部'
    },
    {
     value:'0',
     label:'月报'
    },
    {
     value: '1',
     label:'年报'
    },
   ]
  },
  {
   type:'select',
   modelValue:'FEEDBACK_STATE',
   label:'报告反馈',
   colClass:'mr12',
   options:[
    {
     value:'',
     label:'全部'
    },
    {
     value:'1',
     label: '已反馈'
    },
    {
     value: '0',
     label:'未反馈'
    },
    {
     value: '2',
     label:'已回复'
    },
   ]
  },

  {
   isNoLabel:true,
   type:'slot',
   colClass:'mr20',
   colAttrs:{
    span:1.5
   },
   slotName:'searchBtn'
  },
  {
   colAttrs:{
    span:1.5
   },
   isNoLabel:true,
   type:'slot',
   slotName:'exportBtn'
  },
 ]
}
export const qualityCheckReportDetailBaseForm = {
 formItemsArr:[
  {
   type:'input',
   label:'质检总数量',

   modelValue:'INSPECTION_COUNT',

  },
  {

   type:'input',
   label:'质检通过数',
   modelValue:'INSPECTION_PASSED',

  },
  {

   type:'input',
   label:'质检未通过',
   modelValue:'INSPECTION_NOTPASSED',

  },
  {

   type:'select',
   label:'报告类型',
   modelValue:'REPORT_TYPE',
   elSelectEleAttrs:{
    disabled:true
   },

   options:[
    {value:'0',label:'月报'},
    {value:'1',label:'年报'},
   ]
  },
  {

   type:'input',
   label:'报告时间',
   modelValue:'REPORT_TIME',
   elInputEleAttrs:{
    disabled:true
   },
  },
  {

   type:'input',
   label:'生成时间',
   modelValue:'INSERTTIME',
   elInputEleAttrs:{
    disabled:true
   },

  },
  {
   type:'slot',
   label:'质检报告',
   slotName:'zjbg'
  }
 ],
 formAttrs:{
  'label-width':'15em'
 }
}
export const qualityCheckReportDetailBackForm = {
 formItemsArr:[
  {
   type:'input',
   label:'反馈人',

   modelValue:'FEEDBACK_PERSON',
   elInputEleAttrs:{
    disabled:true
   },
  },
  {

   type:'input',
   label:'反馈单位',
   modelValue:'UNIT_CODE',
   elInputEleAttrs:{
    disabled:true
   },
  },
  {

   type:'input',
   label:'手机号',
   modelValue:'PHONE',
   elInputEleAttrs:{
    disabled:true
   },
  },
  {

   type:'input',
   label:'电子邮件',
   modelValue:'E_MAIL',
   elInputEleAttrs:{
    disabled:true
   },
  },
  {

   type:'input',
   label:'反馈日期',
   modelValue:'FEEDBACK_DATE',
   elInputEleAttrs:{
    disabled:true
   },
  },
  {
   colClass:'el-col-18',
   type:'radio',
   label:'是否有疑问',
   modelValue:'FEEDBACK_STATE',
   elRadioGroupEleAttrs:{
    disabled:true
   },
   radioArr:[
    {
     value:'1',
     label:'是'
    },
    {
     value:'2',
     label:'否'
    }
   ]
  },
  {
   colClass:'el-col-18',
   type:'textarea',
   label:'疑问说明',
   modelValue:'FEEDBACK_INFO',
   elInputEleAttrs:{
    disabled:true
   },

  },
  {
   colClass:'el-col-18',
   type:'textarea',
   label:'回复',
   modelValue:'REPLY_MESSAGE',


  },
 ],
 formAttrs:{
  'label-width':'15em'
 }
}
export const dataImputationTaskHomeFilterForm = () => {
 return {
  formItemsArr:[
   {
    type:'input',
    modelValue:'CATALOG_NAME',
    label:'目录名称',
    colClass:'mr12',

   },
   {
    type:'select',
    modelValue:'UNIT_CODE',
    label:'所属单位',
    colClass:'mr12',
    options:useRootStore().allSelectUnit
   },


   {
    type:'select',
    modelValue:'TASK_STATES',
    label:'状态',
    colClass:'mr12',
    options:[
     {
      value:'',
      label:'全部'
     },
     {
      value:'0',
      label: '未配置'
     },
     {
      value: '1',
      label:'待运行'
     },
     {
      value: '2',
      label:'运行中'
     },
     {
      value: '3',
      label:'运行异常'
     },
     {
      value: '4',
      label:'已停用'
     },
    ]
   },

   {
    isNoLabel:true,
    type:'slot',
    colClass:'mr20',
    colAttrs:{
     span:1.5
    },
    slotName:'searchBtn'
   },

  ]
 }
}
export const dataImputationTaskDetailBaseForm =  () =>  {
 return {
  formItemsArr:[
   {
    type:'input',
    label:'目录名称',
    colClass:'el-col-24',
    modelValue:'CATALOG_NAME',
    elInputEleAttrs:{
     disabled:true
    }
   },

   {
    colClass:'el-col-24',
    type:'select',
    label:'执行周期',
    modelValue:'cycle',

    options:[
     {value:'0',label:'周期执行',forms:[
       {
        type:'radio',
        colClass:'el-col-24',
        radioArr:[
         {
          value:'年',
          label:"每年",
          forms:[

           {type:'input',modelValue:'month',label:'月',colClass:'el-col-12',},
           {type:'input',modelValue:'day',label:'日',colClass:'el-col-12',},
           {type:'input',modelValue:'time',label:'时间',colClass:'el-col-12',},
          ]
         },
         {
          value:'月',
          label:"月",
          forms:[


           {type:'input',modelValue:'day',label:'日',colClass:'el-col-12',},
           {type:'input',modelValue:'time',label:'时间',colClass:'el-col-12',},
          ]
         },
         {
          value:'周',
          label:"周",
          forms:[


           {type:'select',modelValue:'day',label:'日',colClass:'el-col-12',options:[
             {value:'1',label:'周一'},
             {value:'2',label:'周二'},
             {value:'3',label:'周三'},
             {value:'4',label:'周四'},
             {value:'5',label:'周五'},
             {value:'6',label:'周六'},
             {value:'0',label:'周日'},
            ]},
           {type:'input',modelValue:'time',label:'时间',colClass:'el-col-12',},
          ]
         },
         {
          value:'日',
          label:"日",
          forms:[
           {type:'input',modelValue:'time',label:'时间',colClass:'el-col-12',},
          ]
         },
         {
          value:'时',
          label:"时",
          forms:[
           {type:'input',modelValue:'time',label:'时间',colClass:'el-col-12',},
          ]

         }
        ],
        modelValue:'frequency'
       }
      ]},
     {value:'1',label:'单次执行',forms:[
       {type:'input',modelValue:'singleYear',label:'年',colClass:'el-col-12',},
       {type:'input',modelValue:'singleMonth',label:'月',colClass:'el-col-12',},
       {type:'input',modelValue:'singleDay',label:'日',colClass:'el-col-12',},
       {type:'input',modelValue:'singleTime',label:'时间',colClass:'el-col-12',},
      ]},
    ]
   },
  ],
  formAttrs:{
   'label-width':'8em'
  }
 }
}

export const dataImputationRecordHomeFilterForm = () => {
 return {
  formItemsArr:[
   {
    type:'input',
    modelValue:'CATALOG_NAME',
    label:'目录名称',
    colClass:'mr12',
   },

   {
    type:'select',
    modelValue:'UNIT_CODE',
    label:'所属单位',
    colClass:'mr12',
    options:useRootStore().allSelectUnit
   },
   {
    type:'date-picker',
    modelValue:'START_DATE',
    label:'开始时间',
    colClass:'mr12',

   },
   {
    type:'date-picker',
    modelValue:'END_DATE',
    label:'结束时间',
    colClass:'mr12',

   },

   {
    isNoLabel:true,
    type:'slot',
    colClass:'mr20',
    colAttrs:{
     span:1.5
    },
    slotName:'searchBtn'
   },

  ]
 }
}
export const dataImputationRecordDetailDialogForm = {
 formItemsArr:[
  {
   type:'input',
   modelValue:'REPLAYDATE',
   label:'开始时间:',

  },
  {
   type:'input',
   modelValue:'LOGDATE',
   label:'结束时间:',

  },
  {
   type:'input',
   modelValue:'ERRORS',
   label:'错误数量:',

  },
  {
   type:'textarea',
   modelValue:'LOG_FIELD',
   label:'执行日志:',

  },



 ],
 formAttrs:{
  disabled:true
 }
}
export const taskSetHomeFilterForm = () => {
 return  {
  formItemsArr:[
   {
    type:'input',
    modelValue:'CATALOG_NAME',
    label:'目录名称',
    colClass:'mr12',

   },

   {
    type:'select',
    modelValue:'UNIT_CODE',
    label:'所属单位',
    colClass:'mr12',
    options:useRootStore().allSelectUnit
   },
   {
    type:'select',
    modelValue:'STATE',
    label:'状态',
    colClass:'mr12',
    options:[
     {value:'',label:'全部'},
     {value:'0',label:'未配置'},
     {value:'1',label:'未启用'},
     {value:'2',label:'已启用'},
     {value:'5',label:'执行中'},
     {value:'10',label:'执行异常'},
    ]
   },


   {
    isNoLabel:true,
    type:'slot',
    colClass:'mr20',
    colAttrs:{
     span:1.5
    },
    slotName:'searchBtn'
   },

  ]
 }
}
export const taskExecuteHomeFilterForm = () => {
 return {
  formItemsArr:[
   {
    type:'input',
    modelValue:'CATALOG_NAME',
    label:'目录名称',
    colClass:'mr12',

   },

   {
    type:'select',
    modelValue:'UNIT_CODE',
    label:'所属单位',
    colClass:'mr12',
    options:useRootStore().allSelectUnit
   },
   {
    type:'select',
    modelValue:'STATE',
    label:'状态',
    colClass:'mr12',
    options:[
     {value:'',label:'全部'},
     {value:'1',label:'待执行'},
     {value:'5',label:'执行中'},
     {value:'10',label:'执行异常'},
    ]
   },


   {
    isNoLabel:true,
    type:'slot',
    colClass:'mr20',
    colAttrs:{
     span:1.5
    },
    slotName:'searchBtn'
   },

  ]
 }
}
export const taskWatchWatchHomeFilterForm = {
 formItemsArr:[
  {
   type:'date-picker',
   modelValue:'START_DATE',
   label:'开始时间',
   colClass:'mr12',

  },
  {
   type:'date-picker',
   modelValue:'END_DATE',
   label:'结束时间',
   colClass:'mr12',

  },


  {
   isNoLabel:true,
   type:'slot',
   colClass:'mr20',
   colAttrs:{
    span:1.5
   },
   slotName:'searchBtn'
  },

 ]
}
export const taskWatchWatchDetailFilterForm = () => {
 return {
  formItemsArr:[
   {
    type:'input',
    modelValue:'CATALOG_NAME',
    label:'目录名称',
    colClass:'mr12',

   },
   {
    type:'select',
    modelValue:'UNIT_CODE',
    options:useRootStore().allSelectUnit,
    label:'单位名称',
    colClass:'mr12',

   },


   {
    isNoLabel:true,
    type:'slot',
    colClass:'mr20',
    colAttrs:{
     span:1.5
    },
    slotName:'searchBtn'
   },

  ]
 }
}
export const processStateTableHomeFilterForm = {
 formItemsArr:[
  {
   type:'input',
   label:'主机名',
   colClass:'mr12',
   modelValue:'dataSource_name',
   elInputEleAttrs:{
    'placeholder':'请输入主机名'
   }
  },
  {
   type:'select',
   colClass:'mr12',
   label:'访问类型',
   modelValue:'DataSource_type',
   options:[
    {
     value:'',
     label: '全部'
    },
    {
     value:'0',
     label:'入库'
    },
    {
     value:'1',
     label: '出库'
    }

   ]
  },
  {
   type:'select',
   colClass:'mr12',
   label:'状态',
   modelValue:'dataSource_status',
   options:[
    {
     value:'',
     label: '全部'
    },
    {
     value:'1',
     label:'正常'
    },
    {
     value:'2',
     label: '异常'
    },
    {
     value:'0',
     label: '未启用'
    },

   ]
  },
  {
   type:'slot',
   colClass:'mr20',
   isNoLabel:true,
   slotName:'searchBtn',
   colAttrs:{
    span:1.5
   }
  },
  {
   type:'slot',
   colAttrs:{
    span:1.5
   },
   isNoLabel:true,
   slotName:'addBtn'
  }

 ]
}
export const taskWatchWatchDetailDetailFilterForm = ()=>{
 return  {
  formItemsArr:[
   {
    type:'date-picker',
    modelValue:'START_DATE',
    label:'开始时间',
    colClass:'mr12',
    options:[

    ]
   },
   {
    type:'date-picker',
    modelValue:'END_DATE',
    label:'结束时间',
    colClass:'mr12',
    options:[

    ]
   },
   {
    type:'slot',
    colAttrs:{
     span:1.5
    },
    isNoLabel:true,
    slotName:'searchBtn'
   }

  ]
 }
}
export const processStateTableDetailFilterForm = {
 formItemsArr:[
  {
   type:'select',
   label:'主机名',
   colClass:'mr12',
   modelValue:'SERVER_DEPLOYMENT_ID',
   elInputEleAttrs:{
    'placeholder':'请输入主机名'
   },
   options:[]
  },
  {
   type:'input',
   label:'内网IP',
   colClass:'mr12',
   modelValue:'INTRANET_ADDRESS',
   elInputEleAttrs:{
    'placeholder':'请输入IP',
    disabled:true
   }
  },
  {
   type:'input',
   label:'外网IP',
   colClass:'mr12',
   modelValue:'EXTERNAL_IP',
   elInputEleAttrs:{
    'placeholder':'请输入IP',
    disabled:true
   }
  },
  {
   type:'select',
   colClass:'mr12',
   label:'访问类型',
   modelValue:'DATASOURCE_TYPE',
   options:[
    {
     value:'',
     label: '全部'
    },
    {
     value:0,
     label:'入库'
    },
    {
     value:1,
     label: '出库'
    }

   ]
  },
  {
   type:'input',
   label:'通道名',
   colClass:'mr12',
   modelValue:'DATASOURCE_NAME',
   elInputEleAttrs:{
    'placeholder':'请输入通道名',

   }
  },
  {
   type:'input',
   label:'主机备注',
   colClass:'mr12',
   modelValue:'REMARKS',
   elInputEleAttrs:{
    'placeholder':'请输入主机备注',
    disabled:true
   }
  },
  // {
  //  type:'slot',
  //  colClass:'mr20',
  //  isNoLabel:true,
  //  slotName:'searchBtn',
  //  colAttrs:{
  //   span:1.5
  //  }
  // },
  // {
  //  type:'slot',
  //  colAttrs:{
  //   span:1.5
  //  },
  //  isNoLabel:true,
  //  slotName:'addBtn'
  // }

 ]
}
export const processStateTableDetailDialogForm = () => {
 return {
  formItemsArr:[
   {

    type:'select',
    label:'单位名称',
    modelValue:'DATASOURCE_UNIT_CODE',
    options:useRootStore().allSelectUnit,
    itemOtherAttrs:{
     rules:[
      {message:'请选择单位名称',required:true,trigger:'change'},

     ]
    }
   },
   {

    type:'select',
    label:'通道类型',
    modelValue:'DATASOURCE_UNIT_TYPE',
    options:[
     {value:'',label:'请选择',forms:[
       {
        type:'input',
        label: '连接IP',
        modelValue:'DATASOURCE_UNIT_IP',
        itemOtherAttrs:{
         rules:[
          {message:'请输入连接IP',required:true,trigger:'blur'}

         ]
        }

       },
       {
        type:'input',
        label: '连接方式',
        modelValue:'DATASOURCE_UNIT_ACCESS',
        defaultValue:'Native',
        itemOtherAttrs:{
         rules:[
          {message:'请输入连接方式',required:true,trigger:'blur'}

         ]
        }

       },
       {
        type:'input',
        label: '端口号',
        modelValue:'DATASOURCE_UNIT_PORT',
        elInputEleAttrs:{
         'placeholder':'请输入2到5位数字'
        },
        itemOtherAttrs:{
         rules:[
          {message:'请输入端口号',required:true,trigger:'blur',validator:(rule, value, callback,oldValue) => {

            let reg2 = new RegExp('[0-9]{2,5}');
            if(!reg2.test(value)){

             callback(new Error('请输入2到5位数字'))
            }
            else {
             callback()
            }
           }}

         ]
        }

       },
       {
        type:'input',
        label: '实例名',
        modelValue:'DATASOURCE_UNIT_INSTANCE',
        itemOtherAttrs: {
         rules:[
          {message:'请输入实例名',required:true,trigger:'blur'}

         ]
        }
       },
       {
        type:'input',
        label: '用户名',
        modelValue:'DATASOURCE_UNIT_USER',
        itemOtherAttrs: {
         rules:[
          {message:'请输入用户名',required:true,trigger:'blur'}

         ]
        }
       },
       {
        type:'input',
        label: '密码',
        modelValue:'DATASOURCE_UNIT_PASSWORD',
        itemOtherAttrs: {
         rules:[
          {message:'请输入密码',required:true,trigger:'blur'}

         ]
        }
       },
      ]},
     {value:'0',label:'ORACLE',
      forms:[
       {
        type:'input',
        label: '连接IP',
        modelValue:'DATASOURCE_UNIT_IP',
        itemOtherAttrs: {
         rules:[
          {message:'请输入IP地址',required:true,trigger:'blur'}
         ]
        }
       },
       {
        type:'input',
        label: '连接方式',
        modelValue:'DATASOURCE_UNIT_ACCESS',
        itemOtherAttrs:{
         rules:[
          {message:'请输入连接方式',required:true,trigger:'blur'}

         ]
        }

       },
       {
        type:'input',
        label: '端口号',
        modelValue:'DATASOURCE_UNIT_PORT',
        elInputEleAttrs:{
         'placeholder':'请输入2到5位数字'
        },
        itemOtherAttrs:{
         rules:[
          {message:'请输入端口号',required:true,trigger:'blur',validator:(rule, value, callback,oldValue) => {

            let reg2 = new RegExp('[0-9]{2,5}');
            if(!reg2.test(value)){

             callback(new Error('请输入2到5位数字'))
            }
            else {
             callback()
            }
           }}
         ]
        }

       },
       {
        type:'input',
        label: '实例名',
        modelValue:'DATASOURCE_UNIT_INSTANCE',
        itemOtherAttrs: {
         rules:[
          {message:'请输入实例名',required:true,trigger:'blur'}

         ]
        }
       },
       {
        type:'input',
        label: '表空间',
        modelValue:'DATASOURCE_UNIT_SPACE',
        itemOtherAttrs: {
         rules:[
          {message:'请输入表空间',required:true,trigger:'blur'}

         ]
        }
       },
       {
        type:'input',
        label: '用户名',
        modelValue:'DATASOURCE_UNIT_USER',

        itemOtherAttrs: {
         rules:[
          {message:'请输入用户名',required:true,trigger:'blur'}

         ],
        }
       },
       {
        type:'input',
        label: '密码',
        modelValue:'DATASOURCE_UNIT_PASSWORD',
        itemOtherAttrs: {
         rules:[
          {message:'请输入密码',required:true,trigger:'blur'}

         ]
        }
       },
      ]
     },
     {value:'1',label:'SQLSERVER',
      forms:[
       {
        type:'input',
        label: '连接IP',
        modelValue:'DATASOURCE_UNIT_IP',
        itemOtherAttrs: {
         rules:[
          {message:'请输入IP地址',required:true,trigger:'blur'}

         ]
        }
       },
       {
        type:'input',
        label: '连接方式',
        modelValue:'DATASOURCE_UNIT_ACCESS',
        itemOtherAttrs: {
         rules:[
          {message:'请输入连接方式',required:true,trigger:'blur'}

         ]
        }
       },
       {
        type:'input',
        label: '端口号',
        modelValue:'DATASOURCE_UNIT_PORT',
        elInputEleAttrs:{
         'placeholder':'请输入2到5位数字'
        },
        itemOtherAttrs: {
         rules:[
          {message:'请输入端口号',required:true,trigger:'blur',validator:(rule, value, callback,oldValue) => {

            let reg2 = new RegExp('[0-9]{2,5}');
            if(!reg2.test(value)){

             callback(new Error('请输入2到5位数字'))
            }
            else {
             callback()
            }
           }}

         ]
        }
       },
       {
        type:'input',
        label: '实例名',
        modelValue:'DATASOURCE_UNIT_INSTANCE',
        itemOtherAttrs: {
         rules:[
          {message:'请输入实例名',required:true,trigger:'blur'}

         ]
        }
       },

       {
        type:'input',
        label: '用户名',
        modelValue:'DATASOURCE_UNIT_USER',
        itemOtherAttrs: {
         rules:[
          {message:'请输入用户名',required:true,trigger:'blur'}

         ]
        }
       },
       {
        type:'input',
        label: '密码',
        modelValue:'DATASOURCE_UNIT_PASSWORD',
        itemOtherAttrs: {
         rules:[
          {message:'请输入密码',required:true,trigger:'blur'}

         ]
        }
       },
      ]
     },
     {value:'2',label:'MYSQL', forms:[
       {
        type:'input',
        label: '连接IP',
        modelValue:'DATASOURCE_UNIT_IP',
        itemOtherAttrs: {
         rules:[
          {message:'请输入IP地址',required:true,trigger:'blur'}

         ]
        }
       },
       {
        type:'input',
        label: '连接方式',
        modelValue:'DATASOURCE_UNIT_ACCESS',
        itemOtherAttrs: {
         rules:[
          {message:'请输入连接方式',required:true,trigger:'blur'}

         ]
        }
       },
       {
        type:'input',
        label: '端口号',
        modelValue:'DATASOURCE_UNIT_PORT',
        elInputEleAttrs:{
         'placeholder':'请输入2到5位数字'
        },
        itemOtherAttrs: {
         rules:[
          {message:'请输入端口号',required:true,trigger:'blur',validator:(rule, value, callback,oldValue) => {

            let reg2 = new RegExp('[0-9]{2,5}');
            if(!reg2.test(value)){

             callback(new Error('请输入2到5位数字'))
            }
            else {
             callback()
            }
           }}

         ]
        }
       },
       {
        type:'input',
        label: '实例名',
        modelValue:'DATASOURCE_UNIT_INSTANCE',
        itemOtherAttrs: {
         rules:[
          {message:'请输入实例名',required:true,trigger:'blur'}

         ]
        }
       },

       {
        type:'input',
        label: '用户名',
        modelValue:'DATASOURCE_UNIT_USER',
        itemOtherAttrs: {
         rules:[
          {message:'请输入用户名',required:true,trigger:'blur'}

         ]
        }
       },
       {
        type:'input',
        label: '密码',
        modelValue:'DATASOURCE_UNIT_PASSWORD',
        itemOtherAttrs: {
         rules:[
          {message:'请输入密码',required:true,trigger:'blur'}

         ]
        }
       },
      ]},
     {value:'3',label:'接口',forms: [
       {
        type:'input',
        label: '连接IP',
        modelValue:'DATASOURCE_UNIT_IP',
        itemOtherAttrs: {
         rules:[
          {message:'请输入IP地址',required:true,trigger:'blur'}
         ]
        }
       },
       {
        type:'input',
        label: '接口地址',
        modelValue:'DATASOURCE_UNIT_URL',
        itemOtherAttrs: {
         rules:[
          {message:'请输入接口地址',required:true,trigger:'blur'}

         ]
        }
       },
       {
        type:'input',
        label: '接口参数',
        modelValue:'DATASOURCE_UNIT_PARAMS',
        itemOtherAttrs: {
         rules:[
          {message:'请输入接口参数',required:true,trigger:'blur'}

         ]
        }
       },
      ]},
     {value:'4',label:'FTP',   forms:[
       {
        type:'input',
        label: '连接IP',
        modelValue:'DATASOURCE_UNIT_IP',
        itemOtherAttrs: {
         rules:[
          {message:'请输入IP地址',required:true,trigger:'blur'}

         ]
        }
       },
       {
        type:'input',
        label: '连接方式',
        modelValue:'DATASOURCE_UNIT_ACCESS',
        itemOtherAttrs: {
         rules:[
          {message:'请输入连接方式',required:true,trigger:'blur'}

         ]
        }
       },
       {
        type:'input',
        label: '端口号',
        modelValue:'DATASOURCE_UNIT_PORT',
        elInputEleAttrs:{
         'placeholder':'请输入2到5位数字'
        },
        itemOtherAttrs: {
         rules:[
          {message:'请输入端口号',required:true,trigger:'blur',validator:(rule, value, callback,oldValue) => {

            let reg2 = new RegExp('[0-9]{2,5}');
            if(!reg2.test(value)){

             callback(new Error('请输入2到5位数字'))
            }
            else {
             callback()
            }
           }}

         ]
        }
       },
       {
        type:'input',
        label: '实例名',
        modelValue:'DATASOURCE_UNIT_INSTANCE',
        itemOtherAttrs: {
         rules:[
          {message:'请输入实例名',required:true,trigger:'blur'}
         ]
        }
       },

       {
        type:'input',
        label: '用户名',
        modelValue:'DATASOURCE_UNIT_USER',
        itemOtherAttrs: {
         rules:[
          {message:'请输入用户名',required:true,trigger:'blur'}

         ]
        }
       },
       {
        type:'input',
        label: '密码',
        modelValue:'DATASOURCE_UNIT_PASSWORD',
        itemOtherAttrs: {
         rules:[
          {message:'请输入密码',required:true,trigger:'blur'}

         ]
        }
       },
      ]},
     {value:'5',label:'DM',forms:[
       {
        type:'input',
        label: '连接IP',
        modelValue:'DATASOURCE_UNIT_IP',
        itemOtherAttrs: {
         rules:[
          {message:'请输入IP地址',required:true,trigger:'blur'}

         ]
        }
       },
       {
        type:'input',
        label: '连接方式',
        modelValue:'DATASOURCE_UNIT_ACCESS',
        itemOtherAttrs: {
         rules:[
          {message:'请输入连接方式',required:true,trigger:'blur'}

         ]
        }
       },
       {
        type:'input',
        label: '端口号',
        modelValue:'DATASOURCE_UNIT_PORT',
        elInputEleAttrs:{
         'placeholder':'请输入2到5位数字'
        },
        itemOtherAttrs: {
         rules:[
          {message:'请输入端口号',required:true,trigger:'blur',validator:(rule, value, callback,oldValue) => {

            let reg2 = new RegExp('[0-9]{2,5}');
            if(!reg2.test(value)){

             callback(new Error('请输入2到5位数字'))
            }
            else {
             callback()
            }
           }}
         ]
        }
       },
       {
        type:'input',
        label: '实例名',
        modelValue:'DATASOURCE_UNIT_INSTANCE',
        itemOtherAttrs: {
         rules:[
          {message:'请输入实例名',required:true,trigger:'blur'}

         ]
        }
       },

       {
        type:'input',
        label: '用户名',
        modelValue:'DATASOURCE_UNIT_USER',
        itemOtherAttrs: {
         rules:[
          {message:'请输入用户名',required:true,trigger:'blur'}

         ]
        }
       },
       {
        type:'input',
        label: '密码',
        modelValue:'DATASOURCE_UNIT_PASSWORD',
        itemOtherAttrs: {
         rules:[
          {message:'请输入密码',required:true,trigger:'blur'}

         ]
        }
       },
      ]},
     {value:'6',label:'KINGBASE',forms:[
       {
        type:'input',
        label: '连接IP',
        modelValue:'DATASOURCE_UNIT_IP',
        itemOtherAttrs: {
         rules:[
          {message:'请输入IP地址',required:true,trigger:'blur'}

         ]
        }
       },
       {
        type:'input',
        label: '连接方式',
        modelValue:'DATASOURCE_UNIT_ACCESS',
        itemOtherAttrs: {
         rules:[
          {message:'请输入连接方式',required:true,trigger:'blur'}

         ]
        }
       },
       {
        type:'input',
        label: '端口号',
        modelValue:'DATASOURCE_UNIT_PORT',
        elInputEleAttrs:{
         'placeholder':'请输入2到5位数字'
        },
        itemOtherAttrs: {
         rules:[
          {message:'请输入端口号',required:true,trigger:'blur',validator:(rule, value, callback,oldValue) => {

            let reg2 = new RegExp('[0-9]{2,5}');
            if(!reg2.test(value)){

             callback(new Error('请输入2到5位数字'))
            }
            else {
             callback()
            }
           }}

         ]
        }
       },
       {
        type:'input',
        label: '实例名',
        modelValue:'DATASOURCE_UNIT_INSTANCE',
        itemOtherAttrs: {
         rules:[
          {message:'请输入实例名',required:true,trigger:'blur'}

         ]
        }
       },

       {
        type:'input',
        label: '用户名',
        modelValue:'DATASOURCE_UNIT_USER',
        itemOtherAttrs: {
         rules:[
          {message:'请输入用户名',required:true,trigger:'blur'}
         ]
        }
       },
       {
        type:'input',
        label: '密码',
        modelValue:'DATASOURCE_UNIT_PASSWORD',
        itemOtherAttrs: {
         rules:[
          {message:'请输入密码',required:true,trigger:'blur'}
         ]
        }
       },
      ]},
    ],
    itemOtherAttrs:{
     required:true,
     rules:[
      {message:'请选择通道类型',required:true,trigger:'change'}

     ]
    }

   }
  ],
  formAttrs:{
   'label-width':'8em'
  }
 }
}
export const unitWatchHomeFilterForm = () => {
 return {
  formItemsArr:[
   {
    type:'input',
    label:'目录名称',
    colClass:'mr12',
    modelValue:'CATALOG_NAME',
    elInputEleAttrs:{
     'placeholder':'请输入目录名称'
    }
   },
   {
    type:'select',
    colClass:'mr12',
    label:'来源单位',
    modelValue:'UNIT_CODE',
    options:useRootStore().allSelectUnit
   },
   {
    type:'select',
    colClass:'mr12',
    label:'是否配置',
    modelValue:'IS_SOLVED',
    options:[
     {
      value:'',
      label:'全部'
     },
     {
      value:'0',
      label:'未配置'
     },
     {
      value:'1',
      label:'已配置'
     }]
   },
   {
    type:'select',
    colClass:'mr12',
    label:'目录状态',
    modelValue:'STATES',
    options:[
     {
      value:'',
      label:'全部'
     },
     {
      value:'2',
      label:'保存'
     },
     {
      value:'5',
      label:'提交'
     },
     {
      value:'6',
      label:'审核不通过'
     },
     {
      value:'8',
      label:'审核通过'
     },
     {
      value:'9',
      label:'发布'
     },
     {
      value:'10',
      label:'退回'
     },
    ]
   },
   {
    type:'slot',
    colClass:'mr20',
    isNoLabel:true,
    slotName:'searchBtn',
    colAttrs:{
     span:1.5
    }
   },
   {
    type:'slot',
    colAttrs:{
     span:1.5
    },
    isNoLabel:true,
    slotName:'addBtn'
   },
   {
    type:'date-picker',
    label:'开始时间',
    colClass:'mr12',
    modelValue:'START_DATE'
   },
   {
    colClass:'mr12',
    type:'date-picker',
    label:'至',
    modelValue:'END_DATE'
   },


  ],
  formAttrs:{
   'label-width':'6em'
  }
 }
}
export const unitWatchHomeFilterForm2 = {
 formItemsArr:[
  {
   type:'slot',
   label:'单位',
   slotName:'label'
  }
 ],
 formAttrs:{
  'label-width':'6em'
 }
}

export const spaceServiceStatusFilterForm2 = {
 formItemsArr:[
  {
   type:'slot',
   label:'站点',
   slotName:'label'
  }
 ],
 formAttrs:{
  'label-width':'6em'
 }
}


export const unitWatchDetailForm = {
 formItemsArr:[
  {type:'input',label:'目录名称',modelValue:'CATALOG_NAME',elInputEleAttrs:{disabled:true}},
  {type:'input',label:'所属单位',modelValue:'PROVIDERUNIT_NAME',elInputEleAttrs:{disabled:true}},
  {type:'select',label:'应用表空间',modelValue:'SOURCEFROM',colAttrs:{span:12},options:[
    {value:'',label:'空'},
    {value:'0',label:'GXJH'},
    {value:'1',label:'ZWXX'},
    {value:'2',label:'XYXX'},
    {value:'3',label:'LSKJ'},
   ]},
  {type:'select',label:'表名称',modelValue:'TABNAME',colAttrs:{span:12}},
  // {type:'select',label:'KETTLE路径',modelValue:'KETTLE_LOCATION',colAttrs:{span:12},options:[
  //   {value:'',label:'请选择'},
  //   {value:'0',label:'GXSJ_OTH_01'},
  //   {value:'1',label:'GXSJ_OTH_02'},
  //   {value:'2',label:'GXSJ_DB_01'},
  //   {value:'3',label:'GXJH_DB_03'},
  //   {value:'4',label:'GXJH_MUL_03'},
  //  ]},
  {type:'select',label:'共享表空间',modelValue:'GXJH_SPACE',colAttrs:{span:12},options: [
    {value:'',label:'空'},
    {value:'0',label:'LSKJ'},
    {value:'1',label:'GXJH'},
    {value:'2',label:'ZWXX'},
    {value:'3',label:'XYXX'},
   ]},
  {type:'input',label:'表注释',modelValue:'TABCOMMENT',options:[
    {value:'',label:'请选择'},
    {value:'0',label:'GXSJ_OTH_01'},
    {value:'1',label:'GXSJ_OTH_02'},
    {value:'2',label:'GXSJ_DB_01'},
    {value:'3',label:'GXJH_DB_03'},
    {value:'4',label:'GXJH_MUL_03'},
   ]},
  // {type:'input',label:'录入时间',modelValue:'TIME'},
 ],
 formAttrs:{
  'label-width':'8em'
 }
}
export const unitWatchDetailDialogForm = {
 formItemsArr:[
  {

   type:'select',
   label:'目录名称',
   modelValue:'CATALOG_CODE',
   options:[]
  },
  {

   type:'input',
   label:'表名称',
   modelValue:'TABLENAME',
   options:[]
  },

 ],
 formAttrs:{
  'label-width':'8em'
 }
}
export const syncHandleChartHomeFilterForm = () => {
 return {
  formItemsArr:[
   {
    type:'input',
    label:'目录名称',
    colClass:'mr12',
    modelValue:'catalogName',
    elInputEleAttrs:{
     'placeholder':'请输入目录名称'
    }
   },
   {
    type:'select',
    colClass:'mr12',
    label:'来源单位',
    modelValue:'unitCode',
    options:useRootStore().allSelectUnit
   },
   {
    type:'select',
    colClass:'mr12',
    label:'状态',
    modelValue:'dateStates',
    options:[
     {
      value:'-1',
      label: '全部'
     },
     {
      value:'1',
      label:'正常'
     },
     {
      value:'2',
      label: '异常'
     },
     {
      value:'3',
      label: '未启用'
     },
    ]
   },
   {
    type:'slot',
    colClass:'mr20',
    isNoLabel:true,
    slotName:'searchBtn',
    colAttrs:{
     span:1.5
    }
   },


  ],
  formAttrs:{
   'label-width':'6em'
  }
 }
}

export const spaceServiceStatusForm = () =>{
 return {
  formItemsArr:[
   {
    type:'input',
    label:'服务名称',
    colClass:'mr12',
    modelValue:'SERVICE_NAME',
    elInputEleAttrs:{
     'placeholder':'请输入服务名称'
    }
   },
   {
    type:'select',
    colClass:'mr12',
    label:'重点监控',
    modelValue:'KEY_FOCUS',
    options:[
     {
      value:'',
      label: '全部'
     },
     {
      value:'1',
      label: '是'
     },
     {
      value:'0',
      label: '否'
     },
    ]
   },
   {
    type:'slot',
    colClass:'mr20',
    isNoLabel:true,
    slotName:'searchBtn',
    colAttrs:{
     span:1.5
    }
   },
  ],
  formAttrs:{
   'label-width':'6em'
  }
 }
}


export const dataLifeCycleHomeFilterForm = {
 formItemsArr:[
  {
   type:'date-picker',
   label:'开始时间',
   colClass:'mr12',
   modelValue:'startTime',

  },
  {
   type:'date-picker',
   colClass:'mr12',
   label:'至',
   modelValue:'endTime',

  },

  {
   type:'slot',
   colClass:'mr20',
   isNoLabel:true,
   slotName:'searchBtn',
   colAttrs:{
    span:1.5
   }
  },


 ],
 formAttrs:{
  'label-width':'6em'
 }
}
export const dataLifeCycleDetailFilterForm = {
 formItemsArr:[
  {
   type:'select',
   label:'所属单位',
   colClass:'mr12',
   modelValue:'unitId',
   options:useRootStore().allSelectUnit

  },
  {
   type:'input',
   colClass:'mr12',
   label:'目录名称',
   modelValue:'name',

  },

  {
   type:'slot',
   colClass:'mr20',
   isNoLabel:true,
   slotName:'searchBtn',
   colAttrs:{
    span:1.5
   }
  },


 ],

}
export const dataSyncHandleTableFilterForm = {
 formItemsArr:[
  {
   type:'select',
   label:'所属单位',
   colClass:'mr12',
   modelValue:'unitCode',
   options:useRootStore().allSelectUnit

  },
  {
   type:'input',
   colClass:'mr12',
   label:'目录名称',
   modelValue:'catalogName',

  },

  {
   type:'slot',
   colClass:'mr20',
   isNoLabel:true,
   slotName:'searchBtn',
   colAttrs:{
    span:1.5
   }
  },


 ],

}
export const dataServiceStateWatchHomeFilterForm = () => {
 return {
  formItemsArr:[
   {
    type:'input',
    label:'目录名称',
    colClass:'mr12',
    modelValue:'CATALOG_NAME',

   },
   {
    type:'select',
    label:'来源单位 ',
    colClass:'mr12',
    modelValue:'UNIT_CODE',
    options:useRootStore().allSelectUnit
   },
   {
    type:'date-picker',
    colClass:'mr12',
    label:'开始时间',
    modelValue:'START_DATE',

   },
   {
    type:'date-picker',
    colClass:'mr12',
    label:'至',
    modelValue:'END_DATE',

   },

   {
    type:'slot',
    colClass:'mr20',
    isNoLabel:true,
    slotName:'searchBtn',
    colAttrs:{
     span:1.5
    }
   },


  ],
  formAttrs:{
   'label-width':'6em'
  }
 }
}
export const dataServiceStateWatchDetailFilterForm = {
 formItemsArr:[
  {
   type:'select',
   label:'解决状态',
   colClass:'mr12',
   modelValue:'IS_SOLVED',
   options:[
    {value:'',label:'全部'},
    {value:'1',label:'已解决'},
    {value:'2',label:'未解决'},
   ]

  },

  {
   type:'date-picker',
   colClass:'mr12',
   label:'开始时间',
   modelValue:'START_DATE',

  },
  {
   type:'date-picker',
   colClass:'mr12',
   label:'至',
   modelValue:'END_DATE',

  },

  {
   type:'slot',
   colClass:'mr20',
   isNoLabel:true,
   slotName:'searchBtn',
   colAttrs:{
    span:1.5
   }
  },


 ],
 formAttrs:{
  'label-width':'6em'
 }
}
export const dataServiceStateWatchDetailDialogForm = {
 formItemsArr:[
  {
   type:'input',
   label:'操作内容',
   modelValue:'OPERATING',
   elInputEleAttrs:{
    disabled:true
   }
  },
  {
   type:'input',
   label:'调用单位',
   modelValue:'CIDNAME',
   elInputEleAttrs:{
    disabled:true
   }
  },
  {
   type:'input',
   label:'操作时间',
   modelValue:'TIME',
   elInputEleAttrs:{
    disabled:true
   }
  },
  {
   type:'input',
   label:'入参',
   modelValue:'RETURNINFO',
   elInputEleAttrs:{
    disabled:true
   }
  },
  {
   type:'input',
   label:'返回数据量',
   modelValue:'COUNTNUM',
   elInputEleAttrs:{
    disabled:true
   }
  },
  {
   type:'input',
   label:'服务状态',
   modelValue:'STATENAME',
   elInputEleAttrs:{
    disabled:true
   }
  },
  {
   type:'input',
   label:'错误类型',
   modelValue:'ERROR_TYPE',
   elInputEleAttrs:{
    disabled:true
   }
  },
  {
   type:'input',
   label:'服务类型',
   modelValue:'SERVICENAME',
   elInputEleAttrs:{
    disabled:true
   }
  },
  {
   type:'textarea',
   label:'错误信息',
   modelValue:'ERROR_INFO',
   elInputEleAttrs:{
    disabled:true
   }
  },

  {
   type:'select',
   label:'解决状态',
   modelValue:'IS_SOVLED',

   options:[

    {value:'1',label:'已解决'},
    {value:'2',label:'未解决'},
   ]
  },
  {
   type:'textarea',
   label:'解决方案',
   modelValue:'SOLVE_PLAN',
  },

 ],
 formAttrs:{
  'label-width':'6em',
  disabled:false
 }
}
export const dataSyncHandleDetailFilterForm = {
 formItemsArr:[
  {
   type:'select',
   label:'任务状态',
   colClass:'mr12',
   modelValue:'isSuccess',
   options:[
    {value:'',label:'全部'},
    {value:'0',label:'失败'},
    {value:'1',label:'成功'},
   ]

  },
  {
   type:'select',
   label:'任务节点',
   colClass:'mr12',
   modelValue:'taskNode',
   options:[
    {value:'',label:'全部'},
    {value:'A',label:'共享交换'},
    {value:'1',label:'政务信息'},
    {value:'2',label:'信用信息'},
    {value:'3',label:'大数据中心'},
    {value:'4',label:'市信用平台'},
    {value:'5',label:'市档案中心'},
   ]

  },

  {
   type:'slot',
   colClass:'mr20',
   isNoLabel:true,
   slotName:'searchBtn',
   colAttrs:{
    span:1.5
   }
  },


 ],
 formAttrs:{
  'label-width':'6em'
 }
}
export const personWatchHomeFilterForm = {
 formItemsArr:[
  {
   type:'select',
   label:'接口名称',
   colClass:'mr12',
   modelValue:'MODEL',
   options:[
    {value:'',label:'请选择'},
    {value:'acceptApply',label:'受理反馈'},
    {value:'OperateSHGasBusinessInfo',label:'一户多人口'},
    {value:'getToken',label:'获取共享交换token'},
    {value:'QuerySHGasCustomer',label:'户号查询'},
    {value:'processApply',label:'办理'},
    {value:'getTokenHttp',label:'获取大数据中心token'},
   ]
  },
  {
   type:'date-picker',
   colClass:'mr12',
   label:'开始时间',
   modelValue:'IN_TIME_START',

  },
  {
   type:'date-picker',
   colClass:'mr12',
   label:'至',
   modelValue:'IN_TIME_END',

  },
  {
   type:'slot',
   colClass:'mr20',
   isNoLabel:true,
   slotName:'searchBtn',
   colAttrs:{
    span:1.5
   }
  },


 ],
 formAttrs:{
  'label-width':'6em'
 }
}
export const shareExchangeHomeFilterForm = {
 formItemsArr:[

  {
   type:'date-picker',
   colClass:'mr12',
   label:'开始时间',
   modelValue:'start_time',

  },
  {
   type:'date-picker',
   colClass:'mr12',
   label:'至',
   modelValue:'end_time',

  },
  {
   type:'slot',
   colClass:'mr20',
   isNoLabel:true,
   slotName:'searchBtn',
   colAttrs:{
    span:1.5
   }
  },


 ],
 formAttrs:{
  'label-width':'6em'
 }
}


export const unitManageKjHomeFilterForm = {
 formItemsArr:[

  {
   type:'input',
   colClass:'mr12',
   label:'单位名称',
   modelValue:'a_name',
   elInputEleAttrs:{
    'placeholder':'请输入单位名称'
   }
  },

  {
   type:'slot',
   colClass:'mr20',
   isNoLabel:true,
   slotName:'searchBtn',
   colAttrs:{
    span:1.5
   }
  },

  {
   type:'slot',
   colClass:'mr20',
   isNoLabel:true,
   slotName:'addBtn',
   colAttrs:{
    span:1.5
   }
  },
 ],
 formAttrs:{
  'label-width':'6em'
 }
}
export const rootManageKjHomeFilterForm = {
 formItemsArr:[

  {
   type:'input',
   colClass:'mr12',
   label:'角色名称',
   modelValue:'ROLE_NAME',
   elInputEleAttrs:{
    'placeholder':'请输入角色名称'
   }
  },
  {
   type:'select',
   colClass:'mr12',
   label:'类型',
   modelValue:'ROLE_TYPE',
   options:[
    {value:'',label:'请选择'},
    {value:'0',label:'空间'},
    {value:'1',label:'政务'},
   ]
  },
  {
   type:'slot',
   colClass:'mr20',
   isNoLabel:true,
   slotName:'searchBtn',
   colAttrs:{
    span:1.5
   }
  },

  {
   type:'slot',
   colClass:'mr20',
   isNoLabel:true,
   slotName:'addBtn',
   colAttrs:{
    span:1.5
   }
  },
 ],
 formAttrs:{
  'label-width':'6em'
 }
}
export const userManageKjHomeFilterForm = {
 formItemsArr:[

  {
   type:'input',
   colClass:'mr12',
   label:'用户名称',
   modelValue:'a_name',
   elInputEleAttrs:{
    'placeholder':'请输入用户名称'
   }
  },
  {
   type:'select',
   colClass:'mr12',
   label:'所属单位',
   modelValue:'a_unit_code',
   options:[]
  },

  {
   type:'slot',
   colClass:'mr20',
   isNoLabel:true,
   slotName:'searchBtn',
   colAttrs:{
    span:1.5
   }
  },

  {
   type:'slot',
   colClass:'mr20',
   isNoLabel:true,
   slotName:'addBtn',
   colAttrs:{
    span:1.5
   }
  },
 ],
 formAttrs:{
  'label-width':'6em'
 }
}
export const logMangeHomeFilterFormKj = {
 formItemsArr:[

  {
   type:'input',
   colClass:'mr12',
   label:'关键字 ',
   modelValue:'a_key_world',
   elInputEleAttrs:{
    'placeholder':'请输入关键字'
   }
  },
  {
   type:'date-picker',
   colClass:'mr12',
   label:'开始时间 ',
   modelValue:'a_startTime',

  },
  {
   type:'date-picker',
   colClass:'mr12',
   label:'结束时间 ',
   modelValue:'a_endTime',

  },

  {
   type:'slot',
   colClass:'mr20',
   isNoLabel:true,
   slotName:'searchBtn',
   colAttrs:{
    span:1.5
   }
  },

  {
   type:'slot',
   colClass:'mr20',
   isNoLabel:true,
   slotName:'addBtn',
   colAttrs:{
    span:1.5
   }
  },
 ],
 formAttrs:{
  'label-width':'6em'
 }
}
export const logMangeHomeFilterFormZw = {
 formItemsArr:[

  {
   type:'input',
   colClass:'mr12',
   label:'关键字 ',
   modelValue:'a_key_world',
   elInputEleAttrs:{
    'placeholder':'请输入关键字'
   }
  },
  {
   type:'date-picker',
   colClass:'mr12',
   label:'开始时间 ',
   modelValue:'a_startTime',

  },
  {
   type:'date-picker',
   colClass:'mr12',
   label:'结束时间 ',
   modelValue:'a_endTime',

  },

  {
   type:'slot',
   colClass:'mr20',
   isNoLabel:true,
   slotName:'searchBtn',
   colAttrs:{
    span:1.5
   }
  },

  {
   type:'slot',
   colClass:'mr20',
   isNoLabel:true,
   slotName:'addBtn',
   colAttrs:{
    span:1.5
   }
  },
 ],
 formAttrs:{
  'label-width':'6em'
 }
}
export const userManageKjHomeFilterFormLm = {
 formItemsArr:[

  {
   type:'input',
   colClass:'mr12',
   label:'用户名称',
   modelValue:'TYPE',
   elInputEleAttrs:{
    'placeholder':'请输入用户名称'
   }
  },
  {
   type:'input',
   colClass:'mr12',
   label:'单位名称',
   modelValue:'TYPE',
   elInputEleAttrs:{
    'placeholder':'请输入单位名称'
   }
  },

  {
   type:'slot',
   colClass:'mr20',
   isNoLabel:true,
   slotName:'searchBtn',
   colAttrs:{
    span:1.5
   }
  },


 ],
 formAttrs:{
  'label-width':'6em'
 }
}
export const shareExchangeHomeFilterDialogJqrzForm = {

 formItemsArr:[

  {
   type:'input',

   label:'截取位数',
   modelValue:'start_jq',
   elInputEleAttrs:{
    'placeholder':'请用逗号分隔'
   }
  },
  {
   type:'select',
   options:[],
   label:'选择字段',
   modelValue:'jqField',
   elSelectEleAttrs:{
    teleported:true
   }
  },
  {
   type:'input',
   modelValue:'edn_jq',
   label:'截取位数',

   elInputEleAttrs:{
    'placeholder':'请用逗号分隔'
   }
  },


 ],
 formAttrs:{
  'label-width':'6em'
 }
}
export const shareExchangeHomeFilterDialogWjrzForm = {
 formItemsArr:[

  {
   type:'select',

   label:'文件地址',
   modelValue:'address',
   elSelectEleAttrs:{
    teleported:true
   }
  },
  {
   type:'input',
   options:[],
   label:'文件路径',
   modelValue:'fileUrl',
   elInputEleAttrs:{
    'placeholder':'请输入文件路径'
   }
  },
  {
   type:'input',

   label:'保存路径',
   modelValue:'saveUrl',
   elInputEleAttrs:{
    'placeholder':'请输入具体保存文件路径'
   }
  },
  {
   type:'select',

   label:'文件后缀',
   modelValue:'wjhz',
   options:[],
   elSelectEleAttrs:{
    teleported:true
   }
  },


 ],
 formAttrs:{
  'label-width':'6em'
 }
}
// 数据范围
export const shareExchangeHomeFilterDialogSjfwForm1 = {
 formItemsArr:[

  {
   type:'select',

   label:'类型',
   modelValue:'gllx',
   elSelectEleAttrs:{
    teleported:true
   }
  },
  {
   type:'select',
   options:[],
   label:'规则',
   modelValue:'gllxgz',
   elSelectEleAttrs:{
    teleported:true
   }
  },
  {
   type:'input',

   label:'内容',
   modelValue:'gllxnr',
   elInputEleAttrs:{
    'placeholder':'请输入具体内容'
   }
  },


 ],

}
export const shareExchangeHomeFilterDialogSjgsForm = {
 formItemsArr:[

  {
   type:'select',

   label:'选择格式',
   modelValue:'sjgs',
   elSelectEleAttrs:{
    teleported:true
   }
  },



 ],

}
export const shareExchangeHomeFilterDialogLengthForm = {
 formItemsArr:[

  {
   type:'select',

   label:'选择规则',
   modelValue:'lengthRule',
   elSelectEleAttrs:{
    teleported:true
   }
  },

  {
   type:'input',

   label:'具体内容',
   modelValue:'content',
   elInputEleAttrs:{
    'placeholder':'请输入具体内容'
   }
  },

 ],

}
export const shareExchangeHomeFilterDialogDataDictionaryForm = {
 formItemsArr:[

  {
   type:'select',
   options:[],
   label:'选择字典',
   modelValue:'chooseDictionary',
   elSelectEleAttrs:{
    teleported:true
   }
  },


 ],

}
export const appArrangeHomeFilterForm = {
 formItemsArr:[

  {
   type:'input',
   colClass:'mr12',
   label:'主机名称',
   modelValue:'HOST_NAME',
   elInputEleAttrs:{
    'placeholder':'请输入主机名称'
   }
  },
  {
   type: 'select',
   colClass: 'mr12',
   label: '用途类型 ',
   modelValue: 'USE_TYPE',
   options:dataBaseUseTypeOptions()
  },
  {
   type:'slot',
   colClass:'mr20',
   isNoLabel:true,
   slotName:'searchBtn',
   colAttrs:{
    span:1.5
   }
  },


 ],
 formAttrs:{
  'label-width':'6em'
 }
}
export const appArrangeDetailFilterForm = {
 formItemsArr:[

  {
   type:'input',
   colClass:'mr12',
   label:'主机名称',
   modelValue:'HOST_NAME',

  },
  {
   type: 'select',
   colClass: 'mr12',
   label: '主机类型 ',
   modelValue: 'HOST_TYPE',
   options:[
    {value:'',label:'请选择主机类型'},
    {value:'虚拟主机',label:'虚拟主机'},
    {value:'物理主机',label:'物理主机'},

   ]
  },
  {
   type: 'select',

   label: '网络区域',
   modelValue: 'NETWORK_ZONE',
   options:[
    {value:'',label:'请选择网络区域'},
    {value:'政务外网',label:'政务外网'},
    {value:'互联网',label:'互联网'},

   ]
  },

  {
   type:'select',
   colClass:'mr12',
   label:'用途类型',
   modelValue:'USE_TYPE',
   options:dataBaseUseTypeOptions()
  },
  {
   type: 'input',
   colClass: 'mr12',
   label: '操作系统 ',
   modelValue: 'MONITOR_SYSTEM',

  },
  {
   type: 'input',

   label: '内网IP',
   modelValue: 'INTRANET_IP',

  },


  {
   type:'input',
   colClass:'mr12',
   label:'对外IP',
   modelValue:'EXTERNAL_IP',

  },
  {
   type: 'input',
   colClass: 'mr12',
   label: '公共服务地址 ',
   modelValue: 'PUBLIC_SERVICE',

  },
  {
   type: 'input',

   label: '区域内网地址',
   modelValue: 'INTRANET_ADDRESS',

  },


  {
   type:'input',
   colClass:'mr12',
   append:true,
   label:'带宽',
   modelValue:'TAPE_WIDTH',

  },
  {
   type:'input',
   colClass:'mr12',
   append:true,
   label:'CPU',
   modelValue:'CPU',

  },
  {
   type:'input',
   colClass:'mr12',
   append:true,
   label:'内存',
   modelValue:'MEMORY',

  },

  {
   type:'input',
   colClass:'mr12',
   append:true,
   label:'存储',
   modelValue:'STORAGE',

  },
  {
   type:'input',
   colClass:'mr12',
   append:true,
   label:'系统盘',
   modelValue:'SYSTEM_DISK',

  },
  {
   type:'input',
   colClass:'mr12',
   append:true,
   label:'数据盘',
   modelValue:'DATA_DISK',

  },
  {
   type:'input',
   colClass:'mr12',
   append:true,
   label:'数据库存储',
   modelValue:'DATABASE_DISK',

  },

  {
   type:'textarea',
   colAttrs:{
    span:23
   },

   append:true,
   label:'备注',
   modelValue:'REMARKS',

  },
 ],
 formAttrs:{

 }

}
export const unitManageDetailForm = {

 formItemsArr:[

  {
   type:'input',
   itemOtherAttrs:{
    required:true,
    rules:[{required:true,trigger:'blur',message:'请输入单位名称'}]
   },
   label:'单位名称',
   modelValue:'NAME',

  },
  {
   type:'input',

   label:'单位地址',
   modelValue:'ADDRESS',

  },
  {
   type: 'input',

   label: '负责人',
   modelValue: 'MANAGER',

  },

  {
   type:'input',
   label:'邮政编码',
   modelValue:'ZIPCODE',

  },
  {
   type: 'input',

   label: '联系电话',
   modelValue: 'TELEPHONE',

  },
  {
   type: 'input',

   label: '传真号码',
   modelValue: 'FAXNUM',

  },
  {
   type: 'input',

   label: '电子邮箱',
   modelValue: 'MAIL',

  },
  {
   type: 'select',
   options: [
    {value: '', label: '请选择是否一级单位'},
    {value: 1, label: '是'},
    {value: 0, label: '否'},
   ],
   label: '是否一级单位',
   modelValue: 'IS_SUPERIOR',
   itemOtherAttrs:{
    required:true,
    rules:[{required:true,trigger:'change',message:'请选择是否一级单位'}]
   },
  },
  {
   type:'input',

   label:'所属行业',
   modelValue:'INDUSTRY',
   elInputEleAttrs:{
    'placeholder':'所属行业'
   }
  },
  {

   type:'select',
   label:'上级单位',
   modelValue:'SUPERIOR',
   itemOtherAttrs: {
    required:true,
    rules:[
     {
      required:true,message:'清选择上级单位',trigger: "blur"
     }
    ]
   }

  },

 ],
 formAttrs:{
  'label-width':'10em'
 }
}

export const unitManageDetailFormZw = {

 formItemsArr:[

  {
   type:'input',
   itemOtherAttrs:{
    required:true,
    rules:[{required:true,trigger:'blur',message:'请输入单位名称'}]
   },
   label:'单位名称',
   modelValue:'NAME',

  },
  {
   type:'input',

   label:'单位地址',
   modelValue:'ADDRESS',

  },
  {
   type: 'input',

   label: '负责人',
   modelValue: 'MANAGER',

  },

  {
   type:'input',
   label:'邮政编码',
   modelValue:'ZIPCODE',

  },
  {
   type: 'input',

   label: '联系电话',
   modelValue: 'TELEPHONE',

  },
  {
   type: 'input',

   label: '传真号码',
   modelValue: 'FAXNUM',

  },
  {
   type: 'input',

   label: '电子邮箱',
   modelValue: 'MAIL',

  },
  {
   type: 'select',
   options: [
    {value: '', label: '请选择是否一级单位'},
    {value: 1, label: '是'},
    {value: 0, label: '否'},
   ],
   label: '是否一级单位',
   modelValue: 'IS_SUPERIOR',
   itemOtherAttrs:{
    required:true,
    rules:[{required:true,trigger:'change',message:'请选择是否一级单位'}]
   },
  },
  {
   type:'input',

   label:'所属行业',
   modelValue:'INDUSTRY',
   elInputEleAttrs:{
    'placeholder':'所属行业'
   }
  },
  {
   isHide:true,
   type:'select',
   label:'上级单位',
   modelValue:'SUPERIOR',
   itemOtherAttrs: {
    required:true,
    rules:[
     {
      required:true,message:'清选择上级单位',trigger: "blur"
     }
    ]
   }

  },
  {
   type:'input',

   label:'单位编号',
   modelValue:'CODE',
   elInputEleAttrs:{
    'placeholder':'单位编号',
    disabled:true
   },
   itemOtherAttrs: {
    required:true
   }
  },
 ],
 formAttrs:{
  'label-width':'10em'
 }
}
export const rootManageDetailForm = {

 formItemsArr:[

  {
   colClass:'el-col-9',
   type:'input',
   itemOtherAttrs:{
    required:true,
    rules:[{required:true,trigger:'blur',message:'请输入角色名称'}]
   },
   label:'角色名称',
   modelValue:'ROLE_NAME',

  },

  {
   colClass:'el-col-9',
   type:'select',
   itemOtherAttrs:{
    required:true,
    rules:[{required:true,trigger:'change',message:'请选择角色类型'}]
   },
   label:'角色类型',
   modelValue:'ROLE_TYPE',
   options:[
    {value:'0',label:'空间'},
    {value:'1',label:'政务'},
   ]

  },


  {
   type:'textarea',

   label:'角色介绍',
   modelValue:'ROLE_INFO',
   colClass:'el-col-18'

  },

 ],
 formAttrs:{
  'label-width':'10em'
 }
}
export const userManageDetailFormZw = {
 formItemsArr:[
  {
   type:'input',
   label:'用户名',
   modelValue:'USERNAME',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请输入用户名',trigger:'blur'}
    ]
   }
  },
  {
   type:'input',
   label:'用户密码',
   modelValue:'PASSWORD',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请输入用户密码',trigger:'blur'}
    ]
   },
   elInputEleAttrs:{
    'type':'password'
   }
  },
  {
   type:'input',
   label:'确认密码',
   modelValue:'CONFIRMPASSWORD',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请输入确认密码',trigger:'blur'}
    ]
   },
   elInputEleAttrs:{
    'type':'password'
   }
  },
  {
   type:'input',
   label:'用户姓名',
   modelValue:'NAME',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请输入用户姓名',trigger:'blur'}
    ]
   }
  },
  {
   type:'select',
   label:'所属单位',
   modelValue:'UNIT',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请选择所属单位',trigger:'change'}
    ]
   },
   options:[]
  },
  {
   type:'select',
   label:'用户性别',
   modelValue:'SEX',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请选择用户性别',trigger:'change'}
    ]
   },
   options:[
    {
     value:'',
     label:'请选择用户性别'
    },
    {
     value:'男',
     label:'男'
    },
    {
     value:'女',
     label:'女'
    },
   ]
  },
  {
   type:'input',
   label:'传真号码',
   modelValue:'TEL',
   itemOtherAttrs: {
    rules:[
     {
      validator(rules,value,callback) {
       let mailReg = /^\d{7,8}$/
       if (value && !mailReg.test(value)){
        callback(new Error('传真号码不正确！'))
       }else {
        callback()
       }
      },trigger:'blur'
     }
    ]
   }

  },
  {
   type:'input',
   label:'手机号码',
   modelValue:'PHONE',
   itemOtherAttrs: {
    required: false,
    rules:[
     {
      validator(rules,value,callback) {
       let mailReg = /^1[3-9]\d{9}$/
       if (value && !mailReg.test(value)){
        callback(new Error('手机号格式不正确！'))
       }else {
        callback()
       }
      },trigger:'blur'
     }
    ]
   },
  },
  {
   type:'input',
   label:'电子邮箱',
   modelValue:'MAIL',
   itemOtherAttrs: {
    rules:[
     {
      validator(rules,value,callback) {
       let mailReg = /^(\w-*\.*)+@(\w-?)+(\.\w{2,})+$/
       if (value && !mailReg.test(value)){
        callback(new Error('邮箱格式不正确！'))
       }else {
        callback()
       }
      },trigger:'blur'
     }
    ]
   }

  },

 ],
 formAttrs:{
  'label-width':'10em'
 }
}
export const userManageDetailFormKj = {
 formItemsArr:[
  {
   type:'input',
   label:'用户名',
   modelValue:'USERNAME',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请输入用户名',trigger:'blur'}
    ]
   }
  },
  {
   modelValue:'PASSWORD',
   type:'input',
   label:'用户密码',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请输入用户密码',trigger:'blur'}
    ]
   },
   elInputEleAttrs:{
    'type':'password'
   }
  },
  {
   modelValue:'CONFIRMPASSWORD',
   type:'input',
   label:'确认密码',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请输入确认密码',trigger:'blur'}
    ]
   },
   elInputEleAttrs:{
    'type':'password'
   }
  },
  {
   type:'input',
   label:'用户姓名',
   modelValue:'NAME',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请输入用户姓名',trigger:'blur'}
    ]
   }
  },
  {
   type:'select',
   label:'所属单位',
   modelValue:'UNIT',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请选择所属单位',trigger:'change'}
    ]
   },
   options:[]
  },
  {
   type:'select',
   label:'用户性别',
   modelValue:'SEX',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请选择用户性别',trigger:'change'}
    ]
   },
   options:[
    {
     value:'',
     label:'请选择用户性别'
    },
    {
     value:'男',
     label:'男'
    },
    {
     value:'女',
     label:'女'
    },
   ]
  },
  {
   type:'input',
   label:'工作电话',
   modelValue: 'CONTACT',
   itemOtherAttrs: {
    rules:[
     {

      validator(rules,value,callback) {
       let mailReg = /^\d{7,8}$/
       if (value && !mailReg.test(value)){

        callback(new Error('工作电话格式不正确,必须是7到8位数字！'))
       }else {
        callback()
       }
      },trigger:'blur'
     }
    ]
   }


  },
  {
   type:'input',
   label:'手机号码',
   modelValue: 'TELPHONE',
   itemOtherAttrs: {
    required: false,
    rules:[
     {
      validator(rules,value,callback) {
       let mailReg = /^1[3-9]\d{9}$/
       if (value && !mailReg.test(value)){
        callback(new Error('手机号格式不正确！'))
       }else {
        callback()
       }
      },trigger:'blur'
     }
    ]
   },

  },
  {
   type:'input',
   label:'电子邮箱',
   modelValue: 'MAIL',
   itemOtherAttrs: {
    rules:[
     {
      validator(rules,value,callback) {
       let mailReg = /^(\w-*\.*)+@(\w-?)+(\.\w{2,})+$/
       if (value && !mailReg.test(value)){
        callback(new Error('邮箱格式不正确！'))
       }else {
        callback()
       }
      },trigger:'blur'
     }
    ]
   }

  },

 ],
 formAttrs:{
  'label-width':'10em'
 }
}
export const moduleManageDetailForm = {
 formItemsArr:[
  {
   type:'input',
   label:'模块名称',
   modelValue:'NAME',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请输入模块名称',trigger:'blur'}
    ]
   }
  },
  {
   type:'select',
   label:'是否是根节点',
   modelValue:'isRoot',
   elSelectEleAttrs: {
    disabled:true,
   },
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请选择是否是根节点',trigger:'change'}
    ]
   },
   options:[
    {value:'',label:'请选择是否是根节点'},
    {value:'1',label:'是'},
    {value:'0',label:'否'},
   ]
  },
  {
   type:'input',
   label:'图标',
   modelValue:'O_LCON',
   elInputEleAttrs:{
    'readonly':true
   }
  },
  {
   type:'input',
   label:'访问路径',
   modelValue:'O_PATH',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请输入访问路径',trigger:'blur'}
    ]
   }
  },
  {
   type:'input',
   label:'上级模块',
   modelValue:'HIGHER_NAME',
   elInputEleAttrs: {
    disabled:true,
   },

  },
  {
   type:'select',
   label:'模块类型',
   modelValue:'TYPE',
   elSelectEleAttrs:{
    required:true,
    rules:[
     {required:true,message:'请选择模块类型',trigger:'change'}
    ]
   },

   options:[
    {value:'',label:'请选择模块类型'},
    {value:'0',label:'空间'},
    {value:'1',label:'政务'},
   ]
  },

  {
   type:'textarea',
   colClass:'el-col-24',
   label:'下级访问路径(逗号分隔)',
   modelValue:'O_LEVELS_PATH'

  },


 ],
 formAttrs:{
  'label-width':'16em'
 }
}
export const moduleDetailDialogFormBt = {
 formItemsArr:[
  {

   type:'select',
   label:'按钮类型',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请选择按钮类型',trigger:'change'}
    ]
   },
   options:[
    {value:'',label:'请选择按钮类型'},
    {value:'1',label:'新增修改'},
    {value:'2',label:'查看'},
    {value:'0',label:'删除'},
    {value:'3',label:'上传'},
    {value:'4',label:'下载'},
    {value:'5',label:'打印'},
   ],
   modelValue:'TYPE'
  },
  {type:'input',label:'按钮名称',itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请输入按钮名称',trigger:'input'}
    ]
   },modelValue:'NAME'},
  {type:'input',label:'按钮编号',elInputEleAttrs:{disabled:true},modelValue:'CODE'},
  {type:'input',label:'路径',modelValue:'PATH'},
 ],
 formAttrs:{
  'label-width':'8em'
 }
}
export const moduleDetailDialogFormInterface = {
 formItemsArr:[
  {type:'select',label:'接口类型',
   options:[
    {value:'',label:'请选择接口类型'},
    {value:'1',label:'新增修改'},
    {value:'2',label:'查看'},
    {value:'0',label:'删除'},
    {value:'3',label:'上传'},
    {value:'4',label:'下载'},
    {value:'5',label:'打印'},
   ]
   ,modelValue:'TYPE'
   ,itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请选择接口类型',trigger:'change'}
    ]
   }},
  {type:'input',label:'接口名称',modelValue:'NAME',itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请输入接口名称',trigger:'input'}
    ]
   }},
  {type:'input',label:'接口描述',modelValue:'INTERFACE_NAME'},
  {type:'select',label:'请求方式',
   modelValue: 'REQUEST_TYPE',itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请选择请求方式',trigger:'change'}
    ]
   },options:[
    {value:'',label:'请选择请求方式'},
    {value:'1',label:'get'},
    {value:'2',label:'post'},
   ]
  },
 ],
 formAttrs:{
  'label-width':'8em'
 }
}

export const interfaceManageHomeFilterForm = {
 formItemsArr:[

  {
   type:'input',
   colClass:'mr12',
   label:'资源名称',
   modelValue:'RESOURCE_NAME',
   elInputEleAttrs:{
    'placeholder':'请输入资源名称'
   }
  },
  {
   type: 'select',
   colClass: 'mr12',
   label: '工具类型 ',
   modelValue: 'TYPE',
   options:[

   ]
  },
  {
   type: 'select',
   colClass: 'mr12',
   label: '资源分类  ',
   modelValue: 'RESOURCE_TYPE',
   options:[
    {value:'',label:'全部'},
    {value:'1',label:'空间应用工具'},
    {value:'2',label:'综合应用工具'},
    {value:'3',label:'政务数据工具'},
   ]
  },
  {
   type:'slot',
   colClass:'mr20',
   isNoLabel:true,
   slotName:'searchBtn',
   colAttrs:{
    span:1.5
   }
  },


 ],
 formAttrs:{
  'label-width':'6em'
 }
}
export const interfaceManageDetailFormService = () => {
 return {
  formItemsArr:[
   {
    type:'input',
    label:'资源名称',
    modelValue:'RESOURCE_NAME',
    itemOtherAttrs:{
     required:true,
     rules:[
      {required:true,message:'请输入 资源名称',trigger:'blur'}
     ]
    }
   },
   {
    type:'select',
    label:'资源分类',
    modelValue:'RESOURCE_TYPE',
    itemOtherAttrs:{
     required:true,
     rules:[
      {required:true,message:'请选择资源分类',trigger:'change'}
     ]
    },
    options:[
     {value:'',label:'全部'},
     {value:'1',label:'空间应用工具'},
     {value:'2',label:'综合应用工具'},
     {value:'3',label:'政务数据工具'},
    ]
   },
   // {
   //  type:'checkbox-group',
   //  label:'共享方式',
   //  modelValue:'SHARE_TYPE',
   //  checkArr:[
   //   {value:'',checkboxLabel:'SHARING_TOOLKIT',name:'工具包共享'},
   //   {value:'',checkboxLabel:'SHARING_INTERFACE',name: '接口共享'},
   //  ],
   //  itemOtherAttrs:{
   //   required:true,
   //   rules:[
   //    {required:true,message:'请选择共享方式',trigger:'blur'}
   //   ]
   //  }
   // },
   {
    type:'select',
    label:'接口类型',
    modelValue:'TYPE',
    options:[],
    itemOtherAttrs:{
     required:true,
     rules:[
      {required:true,message:'请选择接口类型',trigger:'blur'}
     ]
    }
   },
   {
    label:'服务缩略图',
    type:'input',
    append:true,

    elInputEleAttrs:{
     readonly:true,
     // disabled:true,
     class:'my-slt-input'
    },
    modelValue:'slt',


   },
   {
    type:'input',
    label:'发布时间',
    defaultValue:formatDateFun(+new Date(),'yyyy-MM-dd hh:mm:ss'),
    modelValue:'RELEASE_TIME',
    elInputEleAttrs:{
     disabled:true
    }
   },
   {
    type:'input',
    label:'测试地址',
    modelValue:'TEXT_ADDRESS',
    colClass: 'el-col-24',

   },
   {
    type:'textarea',
    modelValue:'RELEASE_REMARKS',
    label:'资源简介',
    colClass: 'el-col-24',

   },



  ],
  formAttrs:{
   'label-width':'16em'
  }
 }
}
export const interfaceManageDetailFormTool = {
 formItemsArr:[

  {
   label:'上传',
   type:'input',
   append:true,
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请上传文件',trigger:'blur'}
    ]
   },
   modelValue:'slt',
   elInputEleAttrs:{
    readonly:true,
    // disabled:true,
    class:'my-slt-input'
   },

  },

  {
   type:'textarea',
   label:'说明',
   colClass: 'el-col-24',
   modelValue:'TOOLKIT_REMARKS'

  },



 ],
 formAttrs:{
  'label-width':'16em'
 }
}
export const interfaceManageDetailFormInterface = {
 formItemsArr:[

  {
   type:'input',
   label:'服务地址',
   modelValue:'INTERFACE_ADDRESS',
   colClass: 'el-col-24',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请输入服务地址',trigger:'blur'}
    ]
   }
  },
  {
   type:'select',
   label:'接口类型',
   modelValue:'INTERFACE_TYPE',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请选择接口类型',trigger:'change'}
    ]
   },
   options:[
    {value:'',label:'请选择接口类型'},
    {value:'1',label:'http'},

   ]
  },
  {
   type:'select',
   label:'请求方式',
   modelValue:'REQUEST_MODE',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请选择请求方式',trigger:'change'}
    ]
   },
   options:[
    {value:'',label:'请选择请求方式'},
    {value:'1',label:'get'},
    {value:'2',label:'post'},
   ]
  },

  {
   type:'textarea',
   label:'说明',
   modelValue:'INTERFACE_REMARKS',
   colClass: 'el-col-24',

  },
  {
   type:'textarea',
   label:'入参信息',
   modelValue:'IN_PARAMETER',
   colClass: 'el-col-24',

  },
  {
   type:'textarea',
   label:'出参信息',
   modelValue:'OUT_PARAMETER',
   colClass: 'el-col-24',

  },


 ],
 formAttrs:{
  'label-width':'16em'
 }
}
export const interfaceOrderHomeFilterForm = {
 formItemsArr:[
  {
   type:'input',
   modelValue:'RESOURCE_NAME',
   label:'资源名称',
   colClass:'mr12',
   elInputEleAttrs:{
    'placeholder':'请输入资源名称'
   }
  },
  {
   type:'select',
   modelValue:'TYPE',
   label:'工具类型',
   colClass:'mr12',
   options:[]
  },
  {
   type:'select',
   colClass:'mr12',
   modelValue:'RESOURCE_TYPE',
   label:'资源分类',
   options:[
    {value:'',label:'全部'},
    {value:'1',label:'空间应用工具'},
    {value:'2',label:'综合应用工具'},
    {value:'3',label:'政务数据工具'},
   ]
  },
  {
   type:'slot',
   slotName:'searchBtn'
  }
 ]
}
export const interfaceOrderDetailFormService = () =>{
 return {
  formItemsArr:[
   {
    type:'input',
    label:'资源名称',
    modelValue:'RESOURCE_NAME',
    itemOtherAttrs:{
     required:true,
     rules:[
      {required:true,message:'请输入 资源名称',trigger:'blur'}
     ]
    }
   },
   {
    type:'select',
    label:'资源分类',
    modelValue:'RESOURCE_TYPE',
    itemOtherAttrs:{
     required:true,
     rules:[
      {required:true,message:'请选择资源分类',trigger:'change'}
     ]
    },
    options:[
     {value:'',label:'全部'},
     {value:'1',label:'空间应用工具'},
     {value:'2',label:'综合应用工具'},
     {value:'3',label:'政务数据工具'},
    ]
   },
   // {
   //  type:'checkbox-group',
   //  label:'共享方式',
   //  modelValue:'SHARE_TYPE',
   //  checkArr:[
   //   {value:'',checkboxLabel:'SHARING_TOOLKIT',name:'工具包共享'},
   //   {value:'',checkboxLabel:'SHARING_INTERFACE',name: '接口共享'},
   //  ],
   //  itemOtherAttrs:{
   //   required:true,
   //   rules:[
   //    {required:true,message:'请选择共享方式',trigger:'blur'}
   //   ]
   //  }
   // },
   {
    type:'select',
    label:'接口类型',
    modelValue:'TYPE',
    options:[],
    itemOtherAttrs:{
     required:true,
     rules:[
      {required:true,message:'请选择接口类型',trigger:'blur'}
     ]
    }
   },
   {
    label:'服务缩略图',
    type:'input',
    append:true,

    elInputEleAttrs:{
     readonly:true,
     // disabled:true,
     class:'my-slt-input'
    },
    modelValue:'slt',


   },
   {
    type:'input',
    label:'发布时间',
    defaultValue:formatDateFun(+new Date(),'yyyy-MM-dd hh:mm:ss'),
    modelValue:'RELEASE_TIME',
    elInputEleAttrs:{
     disabled:true
    }
   },
   {
    type:'input',
    label:'测试地址',
    modelValue:'TEXT_ADDRESS',
    colClass: 'el-col-24',

   },
   {
    type:'textarea',
    modelValue:'RELEASE_REMARKS',
    label:'资源简介',
    colClass: 'el-col-24',

   },



  ],
  formAttrs:{
   disabled:true,
   'label-width':'16em'
  }
 }
}
export const interfaceOrderDetailFormTool = {
 formItemsArr:[

  {
   label:'上传',
   type:'input',
   append:true,
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请上传文件',trigger:'blur'}
    ]
   },
   modelValue:'slt',
   elInputEleAttrs:{
    readonly:true,
    // disabled:true,
    class:'my-slt-input'
   },

  },

  {
   type:'textarea',
   label:'说明',
   colClass: 'el-col-24',
   modelValue: 'TOOLKIT_REMARKS'

  },



 ],
 formAttrs:{
  disabled:true,
  'label-width':'16em'
 }
}
export const interfaceOrderDetailFormInterface = {
 formItemsArr:[

  {
   type:'input',
   label:'服务地址',
   modelValue:'INTERFACE_ADDRESS',
   colClass: 'el-col-24',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请输入服务地址',trigger:'blur'}
    ]
   }
  },
  {
   type:'select',
   label:'接口类型',
   modelValue:'INTERFACE_TYPE',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请选择接口类型',trigger:'change'}
    ]
   },
   options:[
    {value:'',label:'请选择接口类型'},
    {value:'1',label:'http'},

   ]
  },
  {
   type:'select',
   label:'请求方式',
   modelValue:'REQUEST_MODE',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请选择请求方式',trigger:'change'}
    ]
   },
   options:[
    {value:'',label:'请选择请求方式'},
    {value:'1',label:'get'},
    {value:'2',label:'post'},
   ]
  },

  {
   type:'textarea',
   label:'说明',
   modelValue:'INTERFACE_REMARKS',
   colClass: 'el-col-24',

  },
  {
   type:'textarea',
   label:'入参信息',
   modelValue:'IN_PARAMETER',
   colClass: 'el-col-24',

  },
  {
   type:'textarea',
   label:'出参信息',
   modelValue:'OUT_PARAMETER',
   colClass: 'el-col-24',

  },


 ],
 formAttrs:{
  disabled:true,

  'label-width':'16em'
 }
}
export const interfaceOrderDetailFormApply = {
 formItemsArr:[

  // {
  //  type:'input',
  //  label:'共享频率',
  //  modelValue:'SHARED_FREQUENCY',
  //
  //  itemOtherAttrs:{
  //   required:true,
  //   rules:[
  //    {required:true,message:'请输入共享频率',trigger:'blur'}
  //   ]
  //  }
  // },
  {
   type:'input',
   label:'共享开始时间',
   modelValue:'SHARED_STARTTIME',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请输入共享开始时间',trigger:'blur'}
    ]
   }
  },
  {
   type:'select',
   modelValue:'SHARED_ENDTIME',
   label:'共享结束时间',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请选择共享结束时间',trigger:'change'}
    ]
   },
   options:[
    {value:'',label:'请选择共享结束时间'},
    {value:'1',label:'无期限'},
    {value:'2',label:'固定结束时间'},

   ]
  },
  // {
  //  type:'input',
  //  modelValue:'USE_TERM',
  //  label:'使用期限（天）',
  //  itemOtherAttrs:{
  //   required:true,
  //   rules:[
  //    {required:true,message:'请输入使用期限（天）',trigger:'blur'}
  //   ]
  //  }
  //
  // },
  {
   type:'input',
   label:'IP',
   modelValue:'IP_ADDRESS',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请输入IP',trigger:'blur'}
    ]
   }

  },
  {
   modelValue:'DAY_LIMIT',
   type:'input',
   label:'每天访问限制数',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请输入每天访问限制数',trigger:'blur'}
    ]
   }

  },
  {
   type:'input',
   modelValue:'CONCURRENCY',
   label:'并发量',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请输入并发量',trigger:'blur'}
    ]
   }

  },

  {
   modelValue:'APPLY_USER_NAME',
   type:'input',
   label:'申请人',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请输入申请人',trigger:'blur'}
    ]
   }

  },
  {
   modelValue:'APPLY_UNIT_NAME',
   type:'input',
   label:'申请人所属单位',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请输入 申请人所属单位',trigger:'blur'}
    ]
   }

  },
  {
   type:'input',
   label:'申请时间',
   modelValue:'APPLY_TIME',
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请输入申请时间',trigger:'blur'}
    ]
   }

  },

  {
   type:'textarea',
   modelValue:'APPYL_REASON',
   label:'申请原因',
   colClass: 'el-col-24',

  },



 ],
 formAttrs:{
  disabled:true,

  'label-width':'16em'
 }
}
export const interfaceOrderDetailFormCheck = () => {
 return {
  formItemsArr:[

   {
    isHide:true,
    type:'radio',
    label: '审核结果',
    radioArr:[
     {value:'2',label:'审核通过'},
     {value:'3',label:'审核不通过'},
    ],
    modelValue:'AUDIT_STATE',
    itemOtherAttrs:{
     required:true,
     rules:[
      {required:true,message:'请选择审核结果',trigger:'change'}
     ]
    }
   },
   {
    isHide:true,
    type:'input',
    label: '审核时间',
    modelValue:'AUDIT_TIME',
    defaultValue:formatDateFun(+new Date(),'yyyy-MM-dd hh:mm:ss'),
    elInputEleAttrs:{
     disabled:true
    }
   },
   {
    type:'textarea',
    label:'审核意见',
    modelValue:'AUDIT_OPINION',
    colClass: 'el-col-24',

   },



  ],
  formAttrs:{

   'label-width':'16em'
  }
 }
}
export const dataDictionaryTabDialogForm = {
 formItemsArr:[
  {
   type:'input',
   modelValue:'PARA_NAME',
   label:'字典名称',
   elInputEleAttrs:{
    'placeholder':'请输入字典名称'
   },
   itemOtherAttrs:{
    required:true,
    rules:[{message:'请输入字典名称',required:true,trigger:'blur'}]
   }
  },
  {
   type:'input',
   modelValue:'DES',
   label:'字典描述',
   elInputEleAttrs:{
    'placeholder':'请输入字典描述'
   },
   itemOtherAttrs:{
    required:true,
    rules:[{message:'请输入字典描述',required:true,trigger:'blur'}]
   }
  },

 ],
 formAttrs:{

  'label-width':'10em'
 }
}
export const qualityCheckStaUnitFilterForm = () => {
 return {
  formItemsArr:[
   {
    type:'select',
    modelValue:'UNIT_CODE',
    label:"",
    colClass:'mr12',
    options:useRootStore().allSelectUnit
   },


  ]
 }
}
export const xzRankDetailForm = {

 formItemsArr:[

  {
   type:'select',
   label:'行政级别',
   modelValue:'a_UNIT_LEVEL',
   options:[
    {value:'',label:'请选择行政级别'},
    {value:'市',label:'市'},
    {value:'区',label:'区'},
    {value:'街镇',label:'街镇'},
   ]

  },
  {
   type:'select',

   label:'所属区',
   modelValue:'a_REGION_NAME',
   itemOtherAttrs: {
    required:true,
    rules:[
     {message:'请选择区',trigger:'change',required: true}
    ]
   },
   options:[]

  },
  {
   type:'select',

   label:'所属街镇',
   modelValue:'a_STREET_TOWN',
   itemOtherAttrs: {
    required:true,
    rules:[
     {message:'请选择所属街镇',trigger:'change',required: true}
    ]
   },
   options:[]

  },
 ],
 formAttrs:{
  'label-width':'10em'
 }
}
export const chooceTemplate = {
 formItemsArr:[
  {
   type:'select',
   label:'选择流程',
   modelValue:'lc',
   colClass:'el-col-10',

   options:[
   ],
   itemOtherAttrs:{
    span:10,
    required:true,
    rules:[
     {
      required:true,message:'请选择流程',trigger:'change'
     }
    ]
   }
  },

 ],
 formAttrs:{
  inline:true
 }
}
export const processStartForm = () =>  {
 return {
  formItemsArr:[
   {
    type:'input',
    label:'目录名称',
    colClass:'el-col-24',
    modelValue:'CATALOGNAME',
    elInputEleAttrs:{
     disabled:true
    }
   },
   {
    type:'input',
    label:'所属单位',
    colClass:'el-col-24',
    modelValue:'UNITNAME',
    elInputEleAttrs:{
     disabled:true
    }
   },
   {
    type:'select',
    label:'任务池',
    colClass:'el-col-24',
    modelValue:'ORDER_NUM',
    options:[
     {value:'',label:'请选择执行任务池'},
     {value:'1',label:'任务一(实时且万以下)'},
     {value:'2',label:'任务二(实时且万以上)'},
     {value:'3',label:'任务三(定时且万以下)'},
     {value:'4',label:'任务四(定时且万以上)'},

    ]
   },


   {
    colClass:'el-col-24',
    type:'select',
    label:'任务模式',
    modelValue:'cycle',

    options:[
     {value:'0',label:'周期执行',forms:[
       {
        type:'radio',
        colClass:'el-col-24',
        radioArr:[
         {
          value:'年',
          label:"每年",
          forms:[

           {
            type:'input',modelValue:'month',label:'月',colClass:'el-col-12',
            elInputEleAttrs:{

             type:'number',
             max:12,
             min:1
            }

           },
           {type:'input',modelValue:'day',label:'日',colClass:'el-col-12', elInputEleAttrs:{

             type:'number',
             max:31,
             min:1
            }},
           {type:'input',modelValue:'time',label:'时间',colClass:'el-col-12', elInputEleAttrs:{

             type:'number',
             max:24,
             min:0
            }},
          ]
         },
         {
          value:'月',
          label:"月",
          forms:[
           {type:'input',modelValue:'day',label:'日',colClass:'el-col-12', elInputEleAttrs:{

             type:'number',
             max:31,
             min:1
            }},
           {type:'input',modelValue:'time',label:'时间',colClass:'el-col-12', elInputEleAttrs:{

             type:'number',
             max:24,
             min:0
            }},
          ]
         },
         {
          value:'周',
          label:"周",
          forms:[


           {type:'select',modelValue:'day',label:'日',colClass:'el-col-12',options:[
             {value:'1',label:'周一'},
             {value:'2',label:'周二'},
             {value:'3',label:'周三'},
             {value:'4',label:'周四'},
             {value:'5',label:'周五'},
             {value:'6',label:'周六'},
             {value:'0',label:'周日'},
            ]},
           {type:'input',modelValue:'time',label:'时间',colClass:'el-col-12', elInputEleAttrs:{

             type:'number',
             max:24,
             min:0
            }},
          ]
         },
         {
          value:'日',
          label:"日",
          forms:[
           {type:'input',modelValue:'time',label:'时间',colClass:'el-col-12', elInputEleAttrs:{

             type:'number',
             max:24,
             min:0
            }},
          ]
         },
         {
          value:'时',
          label:"时",
          forms:[
           {type:'input',modelValue:'jg',label:'执行间隔',colClass:'el-col-12', elInputEleAttrs:{

             type:'number',
             // 施工分包承建单位信息上报_实名制系统（人社）
            }},
           {type:'select',modelValue:'time',label:'时段',colClass:'el-col-12',options: [
             {value:'',label:'请选择执行时段'},
             {value:'1',label:'1-2'},
             {value:'3',label:'3-4'},
             {value:'5',label:'5-6'},
             {value:'7',label:'7-8'},
             {value:'9',label:'9-10'},
             {value:'11',label:'11-12'},
             {value:'13',label:'13-14'},
             {value:'15',label:'15-16'},
             {value:'17',label:'17-18'},
             {value:'19',label:'19-20'},
             {value:'21',label:'21-22'},
             {value:'23',label:'23-24'},

            ]},
          ]

         }
        ],
        modelValue:'frequency'
       }
      ]},
     {value:'1',label:'单次执行',forms:[
       {type:'input',modelValue:'singleYear',label:'年',colClass:'el-col-12',},
       {type:'input',modelValue:'singleMonth',label:'月',colClass:'el-col-12',},
       {type:'input',modelValue:'singleDay',label:'日',colClass:'el-col-12',},
       {type:'input',modelValue:'singleTime',label:'时间',colClass:'el-col-12',},
      ]},
    ]
   },
  ],
  formAttrs:{
   'label-width':'8em'
  }
 }
}
export const dataRootDirForm = {
 formItemsArr:[
  {
   type:'radio',
   label:'脱敏目录',
   modelValue:'STATE',
   radioArr:[
    {value:'1',label:'全部目录'},
    {value:'2',label:'本单位目录'},
    {value:'3',label:'自选目录'},
   ]
  }
 ],
 formAttrs:{
  'label-width':'8em'
 }
}
export const unionUserCheckDetailForm = {
 formItemsArr:[
  {
   type:'input',
   label:'申请用户',
   modelValue:'USERNAME',
   elInputEleAttrs:{

    disabled:true
   }
  },
  {
   type:'input',
   label:'申请时间',
   modelValue:'TIME',
   elInputEleAttrs:{

    disabled:true
   }
  },
  {
   type:'input',
   label:'申请单位',
   modelValue:'UNITNAME',
   elInputEleAttrs:{

    disabled:true
   }
  },
  {
   type:'input',
   label:'所属行业',
   modelValue:'INDUSTRY',
   elInputEleAttrs:{

    disabled:true
   }
  },
  {
   type:'input',
   label:'单位介绍',
   modelValue:'DES',
   colClass:'el-col-24',
   elInputEleAttrs:{
    type:'textarea',
    disabled:true

   }
  },
  {
   type:'input',
   colClass:'el-col-24',
   label:'拟提交资源',
   modelValue:'DATA',
   elInputEleAttrs:{
    type:'textarea',
    disabled:true
   }
  },
  {
   type:'slot',
   label:'数据确认单',
   slotName:'dataConfirm',
  },
  {
   type:'input',
   colClass:'el-col-24',
   label:'初审意见',
   modelValue:'ADVICE',
   elInputEleAttrs:{
    type:'textarea'
   }
  },
  {
   type:'radio',
   colClass:'el-col-24',
   label:'初审结果',
   modelValue:'STATE',
   radioArr:[
    {value:'1',label:'通过'},
    {value:'0',label:'不通过'},
   ]
  },

 ],
 formAttrs:{
  'label-width':'16em'
 }
}
export const chooceTemplateTypeDialogForm = {
 formItemsArr:[
  {
   value:'',label:'请选择模板类型',type:'select',modelValue:'TYPE',
   options:[
   ].concat(reportMbTypeArr),
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请选择模板类型',trigger:'change'},
    ]
   }
  },

 ],
 formAttrs:{
  'label-width':'16em'
 }
}
export const invokeLogHomeFilterForm = {
 formItemsArr:[

  {
   type:'input',
   colClass:'mr12',
   label:'接口名称',
   modelValue:'SERVICE_PATH',
   elInputEleAttrs:{
    'placeholder':'请输入接口名称'
   }
  },


  {
   type:'slot',
   colClass:'mr20',
   isNoLabel:true,
   slotName:'searchBtn',
   colAttrs:{
    span:1.5
   }
  },

 ],
 formAttrs:{
  'label-width':'6em'
 }
}
export const dataBaseDialogFilterForm = {
 formItemsArr:[

  {
   type:'select',
   colClass:'mr12',
   label:'主机',
   modelValue:'service',
   options:[]

  },
  {
   type:'select',
   colClass:'mr12',
   label:'数据库名称',
   modelValue:'database',
   options:[]

  },
  {
   type:'select',
   colClass:'mr12',
   label:'模式',
   modelValue:'HOST_NAME',
   options:[]

  },


  {
   type:'slot',
   colClass:'mr20',
   isNoLabel:true,
   slotName:'searchBtn',
   colAttrs:{
    span:1.5
   }
  },

 ],
 formAttrs:{

 }
}
export const processStateTableChooseServiceDialog = {
 formItemsArr:[
  {
   value:'',label:'主机',type:'select',modelValue:'SERVER_DEPLOYMENT_ID',
   options:[],
   itemOtherAttrs:{
    required:true,
    rules:[
     {required:true,message:'请选择主机',trigger:'change'},
    ]
   }
  },

 ],
 formAttrs:{
  'label-width':'4em'
 }
}
