import {
 baseRuleSateRankDialogForm,
 baseRuleSateTypeDialogForm,
 checkTypeFilterForm,
 circleTypeFilterForm, logMangeHomeFilterFormKj, logMangeHomeFilterFormZw, rootManageKjHomeFilterForm,
 safeRankFilterForm,
 safeTypeFilterForm,
 shareExchangeHomeFilterForm,
 unitManageKjHomeFilterForm,
 userManageKjHomeFilterForm,
 userManageKjHomeFilterFormLm
} from "@/data/all-forms";
import {
 baseRuleCheckTypeTableHeader,
 baseRuleCircleTableHeader,
 baseRuleSafeRankTableHeader,
 baseRuleSafeTableHeader,
 exchangeShareKjSpaceDialog,
 exchangeShareKjSpaceDialogHeaderSpace,
 exchangeShareKjSpaceDialogHeaderZw,
 exchangeShareZwSpaceDialog, logManageHomeKjHeader, logManageHomeZwHeader,
 rootManageHomeTableKjHeader,
 serviceUseHomeTableKjHeader,
 serviceUseHomeTableZwHeader,
 shareExchangeHomeTableKjHeader,
 shareExchangeHomeTableZwHeader,
 shareUseHomeTableKjHeader,
 shareUseHomeTableZwHeader,
 toolUseHomeTableKjHeader,
 toolUseHomeTableZwHeader, toolUseStaDialogHeaderSpace,
 unitManageHomeTableKjHeader,
 unitManageHomeTableZwHeader,
 userManageHomeTableKjHeader,
 userManageHomeTableLmHeader,
 userManageHomeTableZwHeader,
 yearUseHomeTableKjHeader,
 yearUseHomeTableZwHeader
} from "@/data/all-table-header";
import {
 addSafeRuleTypeD,
 deleteSafeRuleTypeD,
 editSafeRuleTypeD,
 getSafeTypeHomeTableData
} from "@/service/zsk/base-rule/safe-type";
import {
 addSafeRuleRankD,
 deleteSafeRuleRankD,
 editSafeRuleRankD,
 getSafeRankHomeTableData
} from "@/service/zsk/base-rule/safe-rank";
import {deleteCheckTypeD, getCheckTypeTableData} from "@/service/zsk/base-rule/check-type";
import {delCircleTypeD, getCircleTypeTableData} from "@/service/zsk/base-rule/circle-type";
import {
 getServiceUseSta,
 getServiceUseStaZw,
 getShareExchangeDialogServiceUrlKj, getShareExchangeDialogServiceUrlZw
} from "@/service/data-service-watch/service-use-sta";
import {
 getShaeUseStaDialogTableDataSpace, getShaeUseStaDialogTableDataZw,
 getShaeUseStaHomeTableDataSpace,
 getShaeUseStaHomeTableDataZw
} from "@/service/data-service-watch/share-use-sta";
import {
 getServiceInvokeStaDetailTableDataSpace, getServiceInvokeStaDetailTableDataZw,
 getServiceInvokeStaHomeTableDataSpace,
 getServiceInvokeStaHomeTableDataZw, getToolUseDialogTableData
} from "@/service/data-service-watch/service-invoke-sta";
import {
 getYearInvokeStaHomeTableDataSpace,
 getYearInvokeStaHomeTableDataZw
} from "@/service/data-service-watch/year-invoke-sta";
import {
 getToolInvokeStaTableDataSpace,
 getToolInvokeStaTableDataZw
} from "@/service/data-service-watch/tool-invoke-sta";
import {
 getUnitManageHomeTableDataSpace,
 getUnitManageHomeTableDataZw
} from "@/service/system-manage/unit-manage/unit-maneg";
import {getRootManageHomeTable} from "@/service/system-manage/root-manage";
import {
 getUserManageHomeTableData,
 getUserManageHomeTableDataLm,
 getUserManageHomeTableDataZw
} from "@/service/system-manage/user-manaeg";
import {getLogMangeHomeTableData, getLogMangeHomeTableDataZw} from "@/service/system-manage/log-manage/log-manage";

export const baseUseSafeTohJType = [
 {
  name:'安全类型',
  id:'aqlx',
  filterForm:safeTypeFilterForm,
  tableHeader:baseRuleSafeTableHeader,
  dialogTitle:'配置安全规则',
  dialogForm:baseRuleSateTypeDialogForm,
  homeUrl:getSafeTypeHomeTableData,
  addUrl:addSafeRuleTypeD,
  editUrl:editSafeRuleTypeD,
  delUrl:deleteSafeRuleTypeD,

 },
 {
  name:'安全级别',
  id:'aqjb',
  filterForm:safeRankFilterForm,
  tableHeader:baseRuleSafeRankTableHeader,
  dialogTitle:'配置安全级别',
  dialogForm:baseRuleSateRankDialogForm,
  homeUrl:getSafeRankHomeTableData,
  addUrl:addSafeRuleRankD,
  editUrl:editSafeRuleRankD,
  delUrl:deleteSafeRuleRankD,
 },
 {
  name:'审计类型',
  id:'sjlx',
  filterForm:checkTypeFilterForm,
  tableHeader:baseRuleCheckTypeTableHeader,
  dialogTitle:'配置安全级别',
  dialogForm:baseRuleSateRankDialogForm,
  homeUrl:getCheckTypeTableData,

  delUrl:deleteCheckTypeD,
 },
 {
  name:'环节类型',
  id:'hjlx',
  filterForm:circleTypeFilterForm,
  tableHeader:baseRuleCircleTableHeader,
  dialogTitle:'配置安全级别',
  dialogForm:baseRuleSateRankDialogForm,
  homeUrl:getCircleTypeTableData,
  delUrl:delCircleTypeD
 }
]
export const serviceTypeArr = [
 {
  type:'0',
  label:'ORACLE'
 },
 {
  type:'1',
  label:'SQLSERVER'
 },
 {
  type:'2',
  label:'MYSQL'
 },
 {
  type:'3',
  label:'接口'
 },
 {
  type:'4',
  label:'FTP'
 },
 {
  type:'5',
  label:'DM'
 },
 {
  type:'6',
  label:'KINGBASE'
 },
]
export const otherReflectArr = [
 {name:'data-handle',menus:[
   {
    name:'任务管理',
    children: [
     {
      name:'任务配置',
      path: 'task-set'
     },
     {
      name:'任务执行',
      path: 'task-execute'
     },
     {
      name:'任务监控',
      path: 'task-watch',

     },

    ]
   },
   {
    name:'数据归集',
    children: [
     {
      name:'数据归集任务',
      path: 'data-imputation-task'
     },
     {
      name:'数据归集记录',
      path: 'data-imputation-record'
     },
    ]
   },
   {
    name:"数据质检",
    children: [
     {
      name:"质检任务",
      path: 'quality-check-task'
     },
     {
      name:"质检记录",
      path: 'quality-check-record'
     },
     {
      name:"质检报告",
      path: 'quality-check-report'
     },
     {
      name:"质检统计",
      path: 'quality-check-sta'
     },

    ]
   },
   {
    name:"数据清洗",
    children: [
     {
      name:"清洗任务",
      path: 'data-task'
     },
     {
      name:"清洗记录",
      path: 'clear-record'
     },
    ]
   },
   {
    name:'数据标签',
    children: [
     {name:'标签任务',path: 'label-task'},
     {name:'标签记录',path: 'label-record'},
     {name:'标签统计',path: 'label-sta'},
    ]
   },
   {
    name:'数据安全',
    children: [
     {
      name:'安全任务',
      path: 'safe-task'
     },
     {
      name:'安全审计',
      path: 'safe-check'
     },
     {
      name:'安全记录',
      path: 'safe-record'
     },
     {
      name:'安全报告',
      path: 'safe-report'
     },
     {
      name:'审计报告',
      path: 'check-report'
     },
    ]
   },
   {
    name:'知识库',
    children:[
     {
      name:'同步规则',
      path:'sync-rule'
     },
     {
      name:'质检规则',
      path:'quality-check-rule'
     },
     {
      name:'清洗规则',
      path:'clear-rule'
     },
     {
      name:'标签规则',
      path:'label-rule'
     },
     {
      name:'安全规则',
      path:'safe-rule'
     },
     {
      name:'数据字典',
      path:'data-dir'
     },
     {
      name:'基本规则',
      path:'base-rule'
     },
     {
      name:'报告模板',
      path:'report-mb'
     },
     {
      name:'流程模板',
      path:'process-mb'
     },

    ]
   },
  ]},
 {name:'data-watch',menus:[
   {
    name:'数据采集监控',
    children: [
     {
      name:'各通道的运行状态图',
      path: 'process-state-charts'
     },
     {
      name:'各通道的运行状态表',
      path: 'process-state-table'
     },
     {
      name:'各单位数据归集监控表',
      path: 'unit-watch'
     },

    ]
   },
   {
    name:'数据同步治理监控',
    children: [
     {
      name:'数据同步治理状态图',
      path: 'sync-handle-charts'
     },
     {
      name:'数据同步治理监控表',
      path: 'sync-handle-table'
     },
     {
      name:'数据全生命周期监控表',
      path: 'data-life-cycle'
     },
     {
      name:'空间服务治理状态图',
      path: 'space-service-status'
     },
    ]
   },
   {
    name:"数据服务监控",
    children: [
     {
      name:"数据服务状态监控",
      path: 'data-service-state-watch'
     },
     {
      name:"一户多人口调用监控",
      path: 'person-watch'
     },
     {
      name:"共享交换统计",
      path: 'share-exchange-sta'
     },
     {
      name:"共享应用统计",
      path: 'share-use-sta'
     },
     {
      name:"服务调用统计",
      path: 'service-use-sta'
     },
     {
      name:"年度调用统计",
      path: 'year-use-sta'
     },
     {
      name:"工具调用统计",
      path: 'tool-use-sta'
     },

    ]
   },

  ]},
 {name:'process-watch',menus:[
   {
    name:'数据库监控',
    path: 'database-watch',
    
   },
   {
    name:'软件部署监控',
    path: 'app-arrange',

   },
   {
    name:'GIS云环境监控',
    path: 'gis',
   },
  ]},
 {name:'system-manage',menus:[
   // {
   //  name:'系统管理',
   //  children: [
   //   {name:'日志管理',path:'log-manage'},
   //   {name:'调用日志',path:'invoke-log'},
   //  ]
   // },
   {
    name:'系统管理',
    children:
     [
     {
      name:'单位管理',
      path: 'unit-manage'
     },
     {
      name:'权限管理',
      path: 'root-manage'
     },
      {
       name:'模块管理',
       path: 'module-manage'
      },
     {
      name:'用户管理',
      path: 'user-manage'
     },

    ]
   },
   {
    name:'接口管理',
    children: [
     {name:'接口管理',path: 'interface-manage'},
     {name:'接口订单',path: 'interface-order'},
    ]
   }

  ]},
]
export const shareExchangeArr = [
 {name:'zw',tableHeader:shareExchangeHomeTableZwHeader},
 {name:'kj',tableHeader:shareExchangeHomeTableKjHeader},
]
export const staTabReflectArr = [
 {id:'share-exchange-sta',tabArr:[
   {name:'空间信息共享交换系统共享交换统计',tabName:'kj',tableHeader:shareExchangeHomeTableKjHeader,filterForm:shareExchangeHomeFilterForm,serviceUrl:getServiceUseSta,dialogUrl:getShareExchangeDialogServiceUrlKj,dialogHeaders:exchangeShareKjSpaceDialog},
   {name:'政务信息共享交换系统共享交换统计',tabName:'zw',tableHeader:shareExchangeHomeTableZwHeader,filterForm:shareExchangeHomeFilterForm,serviceUrl:getServiceUseStaZw,dialogUrl:getShareExchangeDialogServiceUrlZw,dialogHeaders:exchangeShareZwSpaceDialog},
  ]},
 {id:'share-use-sta',tabArr:[
   {name:'空间信息共享交换系统共享应用统计',tabName:'kj',tableHeader:shareUseHomeTableKjHeader,filterForm:shareExchangeHomeFilterForm,serviceUrl:getShaeUseStaHomeTableDataSpace,dialogUrl:getShaeUseStaDialogTableDataSpace},
   {name:'政务信息共享交换系统共享应用统计',tabName:'zw',tableHeader:shareUseHomeTableZwHeader,filterForm:shareExchangeHomeFilterForm,serviceUrl:getShaeUseStaHomeTableDataZw,dialogUrl:getShaeUseStaDialogTableDataZw},
  ]},
 {id:'service-use-sta',tabArr:[
   {name:'空间信息共享交换系统服务调用统计 ',tabName:'kj',tableHeader:serviceUseHomeTableKjHeader,filterForm:shareExchangeHomeFilterForm,serviceUrl:getServiceInvokeStaHomeTableDataSpace,dialogUrl:getServiceInvokeStaDetailTableDataSpace,dialogHeaders: exchangeShareKjSpaceDialogHeaderSpace},
   {name:'政务信息共享交换系统服务调用统计',tabName:'zw',tableHeader:serviceUseHomeTableZwHeader,filterForm:shareExchangeHomeFilterForm,serviceUrl:getServiceInvokeStaHomeTableDataZw,dialogUrl:getServiceInvokeStaDetailTableDataZw,dialogHeaders: exchangeShareKjSpaceDialogHeaderZw},
  ]},
 {id:'year-use-sta',tabArr:[
   {name:'空间信息共享交换系统年度调用统计',tabName:'kj',tableHeader:yearUseHomeTableKjHeader,filterForm:shareExchangeHomeFilterForm,serviceUrl:getYearInvokeStaHomeTableDataSpace,},
   {name:' 政务信息共享交换系统年度调用统计',tabName:'zw',tableHeader:yearUseHomeTableZwHeader,filterForm:shareExchangeHomeFilterForm,serviceUrl:getYearInvokeStaHomeTableDataZw,},
  ]},
 {id:'tool-use-sta',tabArr:[
   {name:'空间信息共享交换系统工具统计',tabName:'kj',tableHeader:toolUseHomeTableKjHeader,filterForm:shareExchangeHomeFilterForm,serviceUrl:getToolInvokeStaTableDataSpace,dialogUrl:getToolUseDialogTableData,dialogHeaders: toolUseStaDialogHeaderSpace},
   {name:'政务信息共享交换系统工具统计',tabName:'zw',tableHeader:toolUseHomeTableZwHeader,filterForm:shareExchangeHomeFilterForm,serviceUrl:getToolInvokeStaTableDataZw,dialogUrl:getToolUseDialogTableData,dialogHeaders: toolUseStaDialogHeaderSpace},
  ]},
 {id:'unit-manage',tabArr:[
   {name:'空间信息共享交换系统单位管理 ',tabName:'kj',tableHeader:unitManageHomeTableKjHeader,filterForm:unitManageKjHomeFilterForm,serviceUrl:getUnitManageHomeTableDataSpace},
   {name:'政务信息共享交换系统单位管理',tabName:'zw',tableHeader:unitManageHomeTableZwHeader,filterForm:unitManageKjHomeFilterForm,serviceUrl:getUnitManageHomeTableDataZw},
  ]},
 {id:'root-manage',tabArr:[
   {name:'权限管理 ',tabName:'kj',tableHeader:rootManageHomeTableKjHeader,filterForm:rootManageKjHomeFilterForm,serviceUrl:getRootManageHomeTable},

  ]},
 {id:'user-manage',tabArr:[
   {name:'空间信息共享交换系统单用户管理 ',tabName:'kj',tableHeader:userManageHomeTableKjHeader,filterForm:userManageKjHomeFilterForm,serviceUrl:getUserManageHomeTableData},
   {name:'政务信息共享交换系统用户管理 ',tabName:'zw',tableHeader:userManageHomeTableZwHeader,filterForm:userManageKjHomeFilterForm,serviceUrl:getUserManageHomeTableDataZw},
   {name:'联盟用户管理 ',tabName:'lm',tableHeader:userManageHomeTableLmHeader,filterForm:userManageKjHomeFilterForm,serviceUrl:getUserManageHomeTableDataLm},
  ]},
 {
  id:'log-manage',tabArr: [
   {name:'空间信息共享交换系统日志管理  ',tabName:'kj',tableHeader:logManageHomeKjHeader,filterForm:logMangeHomeFilterFormKj,serviceUrl:getLogMangeHomeTableData},
   {name:'政务信息共享交换系统日志管理 ',tabName:'zw',tableHeader:logManageHomeZwHeader,filterForm:logMangeHomeFilterFormZw,serviceUrl:getLogMangeHomeTableDataZw},
  ]
 }
]
